init:
    
    $ config.has_voice = False
    $ config.developer = False
        
    # Set up size of the screen and window title
    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "GO! Magical Boy"

    # Add text box:
    $ style.window.background = Image("images/textbox.png")

    $ black_colour = (0, 0, 0, 255) 
    $ white = (255, 255, 255, 255)
    $ yellow = (255, 255, 80, 255)
    $ grey = (128, 128, 128, 255) 

    # Display menus in NVL mode (i.e. in textbox)
    $ menu = nvl_menu
    $ style.nvl_window.background = Image("images/textbox.png")
    $ style.nvl_window.ypadding = 10
    $ style.nvl_window.ymargin = 450
    $ style.nvl_menu_choice.idle_color = "#fff"
    $ style.nvl_menu_choice.hover_color = "#ff0"
    $ style.nvl_menu_choice_button.hover_background = "#AAA2"

    # Change the look of the slider.
    $ style.slider.left_bar = Solid(yellow)
    $ style.slider.right_bar = Solid((0, 0, 0, 128))
    $ style.slider.bottom_bar = Solid(white)
    $ style.slider.ymaximum = 12
    $ style.slider.left_gutter = 0
    $ style.slider.right_gutter = 0
    $ style.slider.thumb_offset = 6

    # Change margins and padding of the window
    $ style.window.xmargin = 0
    $ style.window.ymargin = 0
    $ style.window.xpadding = 20
    $ style.window.top_padding = 5
    $ style.window.bottom_padding = 15

    # Interface sounds
    $ style.button.activate_sound = 'sounds/bing.ogg'
    $ style.imagemap.activate_sound = 'sounds/bing.ogg'
    $ library.enter_sound = 'sounds/bing.ogg'
    $ library.exit_sound = 'sounds/bing.ogg'

    # Transitions when entering and exiting the game menu.
    $ library.enter_transition = fade
    $ library.exit_transition = fade
    
    $ midscreen = Position(xpos=0.5, xanchor='center', ypos=0.45, yanchor='center') # 27-Aug-2006

    # Background behind button
    $ style.button.background = Frame("images/button.png", 5, 5)
    $ style.button.xminimum = 250 
    $ style.default.drop_shadow = None
    $ style.button_text.drop_shadow = None
    $ style.default.font = "others/verase.ttf"
    $ style.button_text.hover_color = yellow

    # Prevent file picker buttons from getting too wide:
    $ style.file_picker_nav_button.xminimum = 61
    $ style.file_picker_nav_button.background = Frame("images/button.png", 5, 5)


# ----- Character Pictures ---------------------------------------------------------

    $ lara_blink1 = im.Composite((259, 535),
                                        (0, 0), "images/lara.png",
                                        (90, 60), "images/lara-eye1.png")
    $ lara_blink2 = im.Composite((259, 535),
                                        (0, 0), "images/lara.png",
                                        (90, 60), "images/lara-eye2.png")

    $ lara_wink = im.Composite((259, 535),
                                        (0, 0), "images/lara.png",
                                        (90, 60), "images/larawink.png")                                        
                                        
    $ lara_annoy = im.Composite((259, 535),
                                        (0, 0), "images/lara.png",
                                        (90, 60), "images/lara-eye1.png",
                                        (120, 105), "images/lara-mth1.png")

    $ lara_quiet = im.Composite((259, 535),
                                        (0, 0), "images/lara.png",
                                        (120, 105), "images/lara-mth1.png")
    image lara = Animation(
        "images/lara.png", 3.5,
        lara_blink1, 0.1,
        lara_blink2, 0.1,
        lara_blink1, 0.1,
        "images/lara.png", 3.5,
        lara_blink1, 0.1,
        lara_blink2, 0.1,
        lara_blink1, 0.1 )

    image lara smiling = lara_blink2 
    image lara winking = lara_wink
    image lara quiet = lara_quiet 
    image lara annoyed = lara_annoy
    image lara static = "images/lara.png"


    $ aina_blink1 = im.Composite((262, 540),
                                        (0, 0), "images/aina.png",
                                        (120, 71), "images/aina-eye1.png")
    $ aina_blink2 = im.Composite((262, 540),
                                        (0, 0), "images/aina.png",
                                        (120, 71), "images/aina-eye2.png")
    $ aina_wink = im.Composite((262, 540),
                                        (0, 0), "images/aina.png",
                                        (120, 71), "images/ainawink.png")
    $ aina_quiet = im.Composite((262, 540),
                                        (0, 0), "images/aina.png",
                                        (135, 110), "images/aina-mth1.png")
    image aina = Animation(
        "images/aina.png", 3.3,
        aina_blink1, 0.1,
        aina_blink2, 0.1,
        aina_blink1, 0.1,
        "images/aina.png", 3.4,
        aina_blink1, 0.1,
        aina_blink2, 0.1,
        aina_blink1, 0.1 )

    image aina smiling = aina_blink2
    image aina winking = aina_wink
    image aina quiet = aina_quiet 
    image aina static = "images/aina.png"

    image matt = "images/matt.png"
    image matt embarrassed = "images/matt_emb.png"
    image matt smiling = "images/matt_sml.png"

    image iyona = "images/iyon.png"
    image iyona possessed = "images/iyo_poss.png"

    image dan = "images/dan.png"
    image dan possessed = "images/dan_poss.png"
    image author = im.Map("images/dan.png", rmap=im.ramp(0, 0), gmap=im.ramp(0, 0), bmap=im.ramp(0, 0))

    image shadow = "images/shadow.png"
    image shadow2 = "images/shadow.png"
    image fairy distant = Image("images/fairy01.png", xpos=400, ypos=500, yanchor='bottom')
    image fairy close = Image("images/fairy02.png", ypos=600, yanchor='bottom')

    image magicbox = "images/magicbox.png"


# ----- Background pictures --------------------------------------------------------

    image white = Solid((255, 255, 255, 255))
    image beige = Solid((236, 238, 220, 255))
    image sepia = im.Alpha("images/sepia.png", 0.7)
    image yellw = im.Alpha("images/yellw.png", 0.7)    
    image black_overlay = im.Alpha("images/black.png", 0.7)    


    $ cloudtrans = ImageDissolve("images/clds01d0.png", 3.0, 128)
    $ hearttrans = ImageDissolve(
                       im.Composite((800, 600), (0, 0), "images/heartcut.png", (400, 0), im.Flip( "images/heartcut.png", horizontal = True))
        , 3.0, 128)

    image park01_day = Image("images/park01d2.png")
    image park01_night = im.Map("images/park01d2.png", rmap=im.ramp(0, 40), gmap=im.ramp(0, 60), bmap=im.ramp(0, 110))
    image park02_day = Image("images/park02d0.png")
    image park02_night = im.Map("images/park02d0.png", rmap=im.ramp(0, 40), gmap=im.ramp(0, 60), bmap=im.ramp(0, 110))
    image clouds_straight = Image("images/clds01d0.png")
    image clouds_tilted = Image("images/clds02d0.png")
    
    image dreamscape_1 = im.Map("images/clds01d0.png", rmap=im.ramp(0, 110), gmap=im.ramp(0, 40), bmap=im.ramp(0, 60)) 
    image dreamscape_2 = im.Map("images/clds02d0.png", rmap=im.ramp(0, 60), gmap=im.ramp(0, 40), bmap=im.ramp(0, 110))     
    image classroom = Image("images/clas01d0.png")
    image classroom_night = im.Map("images/clas01d0.png", rmap=im.ramp(0, 36), gmap=im.ramp(0, 54), bmap=im.ramp(0, 99))


    image earring = Image("images/handring.png")

    image yard_1 = Image("images/yard01d1.png")
    image yard_night = im.Map("images/yard01d1.png", rmap=im.ramp(0, 40), gmap=im.ramp(0, 60), bmap=im.ramp(0, 110))

    image yard_2 = Image("images/yard02d1.png")
    image corridor_1 = Image("images/corr01d1.png")
    image corridor_2 = Image("images/corr02d1.png")
    image corridor_2_night = im.Map("images/corr02d1.png", rmap=im.ramp(0, 36), gmap=im.ramp(0, 54), bmap=im.ramp(0, 99))
    
    image nurse_office = Image("images/nurs01d0.png")
    image lavatory = Image("images/lavatory.png")
    image gym1 = Image("images/gym01.png")
    image gym2 = Image("images/gym02.png")    
    image boyroom = Image("images/boyroom.png")
    image boyroom_night = im.Map("images/boyroom.png", rmap=im.ramp(0, 36), gmap=im.ramp(0, 54), bmap=im.ramp(0, 99))

    image heart = im.Composite((800, 600), (0, 0), "images/heartcut.png", (400, 0), im.Flip( "images/heartcut.png", horizontal = True))

    image rushing = Image("images/rushing.png")
    image rushing_night = im.Map("images/rushing.png", rmap=im.ramp(0, 40), gmap=im.ramp(0, 60), bmap=im.ramp(0, 110))

    image aina_close = Image("images/ainaclos.png")
    image lara_close = Image("images/laraclos.png")
    image ialogo = "images/ialogo04.png"   
    image rplogo = "images/rplogo.png"   
    

# ----- Character objects ----------------------------------------------------------

    # Show player name on-screen   
    $ player_name = ""
    $ p = DynamicCharacter("player_name", color=(230, 230, 255, 255), what_prefix='"', what_suffix='"')

    # Added quotation marks to all characters' speech:
    $ i = Character('Iyona', color=(160, 200, 200, 255), what_prefix='"', what_suffix='"')
    $ m = Character('Matt', color=(250, 160, 45, 255), what_prefix='"', what_suffix='"')
    $ d = Character('Dan', color=(150, 150, 255, 255), what_prefix='"', what_suffix='"')
    $ a = Character('Aina', color=(220, 100, 70, 255), what_prefix='"', what_suffix='"')
    $ l = Character('Lara', color=(200, 170, 130, 255), what_prefix='"', what_suffix='"')
    $ w = Character('Woman', color=(200, 120, 120, 255), what_prefix='"', what_suffix='"')
    $ mg = Character('Magical Girl', color=(249, 235, 100, 255), what_prefix='"', what_suffix='"')
    $ ph = Character('Phone voice', color=(255, 255, 255, 255), what_prefix='"', what_suffix='"') # 27-Aug-2006

    $ pos_l = Position(xpos=0.2, xanchor='center')
    $ pos_c = Position(xpos=0.5, xanchor='center')
    $ pos_r = Position(xpos=0.8, xanchor='center')
    
    
# ----- Custom-made music routines -------------------------------------------------

    $ renpy.music.set_music(7, False)

    python:

        def music_playlist():
                # Called AUTOMATICALLY when queue is empty. Will call the main routine MUSIC_ROUTINE
                # and DISALLOWS clearing of queues. Since the queue is already empty, the clearing of
                # a queue would otherwise cause a break in the sound continuity.

                global music_current 
                global False
                music_routine(False)

        def music_set(name):
                # Called EXPLICITLY to change the music style. Will call the main routine MUSIC_ROUTINE
                # and FORCE clearing of queues. Since the queue is not empty yet, this is necessary to
                # avoid an unnecessary delay (= the sounds still in the queue) before the change of music.

                global music_current 
                music_current = name
                global True
                music_routine(True)

        # An object storing data that shouldn't participate in rollback.
        nrb = object()

        def music_routine(clearqueue):

                global music_current

                # If the new requested music MUSIC_CURRENT is different from the currently still playing NRB.MUSIC_PREVIOUS,
                # the currently playing music section must be ended by playing the cue. The cue snippet always clears the queue.
           
                if music_current <> nrb.music_previous:
               
                    clearqueue = True

                    if nrb.music_previous == "slow":
                        renpy.sound.queue('sounds/31.ogg', channel = 7, clear_queue=clearqueue)
                       
                    if nrb.music_previous == "happy":
                        renpy.sound.queue('sounds/59.ogg', channel = 7, clear_queue=clearqueue)
           
                    if nrb.music_previous == "scary":
                        renpy.sound.queue('sounds/83.ogg', channel = 7, clear_queue=clearqueue)

                # Special case: Beginning of chapter starts with special intro before the main playlist starts
               
                if music_current == "intro slow":
       
                    renpy.sound.queue('sounds/02.ogg', channel = 7, clear_queue=clearqueue) 
                    renpy.sound.queue('sounds/03.ogg', channel = 7, clear_queue=False)
                    music_current = "slow"

                if music_current == "intro happy":
       
                    renpy.sound.queue('sounds/02.ogg', channel = 7, clear_queue=clearqueue) 
                    renpy.sound.queue('sounds/03.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/07.ogg', channel = 7, clear_queue=False)
                    music_current = "happy"

                # Now build the new music playlist.

                if music_current == "waiting":
                    # The WAITING loop always STARTS IMMEDIATELY. It is 4 seconds long and thus allows
                    # a quick cut to another theme. Sounds best when used after BRIDGE.
                    renpy.sound.queue('sounds/02.ogg', channel = 7, clear_queue=clearqueue)
           
                if music_current == "bridge":
                    # The BRIDGE never starts immediately, it always waits for the previous music to finish.
                    # The BRIDGE can then be followed by WAITING, which allows a quick cut to another theme.
                    renpy.sound.queue('sounds/35.ogg', channel = 7, clear_queue=False)
           
                if music_current == "slow":
                    # Never starts immediately, always WAITS for the previous music to finish
                    renpy.sound.queue('sounds/11.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/15.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/19.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/23.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/27.ogg', channel = 7, clear_queue=False)
                   
                if music_current == "happy":
                    # Never starts immediately, always WAITS for the previous music to finish
                    renpy.sound.queue('sounds/39.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/43.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/47.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/51.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/55.ogg', channel = 7, clear_queue=False)
           
                if music_current == "scary":
                    # Scary music always STARTS IMMEDIATELY
                    renpy.sound.queue('sounds/71.ogg', channel = 7, clear_queue=clearqueue)
                    renpy.sound.queue('sounds/75.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/79.ogg', channel = 7, clear_queue=False)

                if music_current == "ending":
                    renpy.sound.queue('sounds/91.ogg', channel = 7, clear_queue=False)
                    renpy.sound.queue('sounds/95.ogg', channel = 7, clear_queue=False)
                    music_current = "nothing"
                   
                if music_current == "chapter":
                    renpy.sound.queue('sounds/95.ogg', channel = 7, clear_queue=clearqueue)
                    music_current = "nothing"

                if music_current == "closing":
                    renpy.sound.play('sounds/closthem.ogg', channel=7, fadeout=2)
                    music_current = "nothing"

                # Make sure we remember what music is playing now:
                nrb.music_previous = music_current
                
# ----- Splashscreens --------------------------------------------------------------

label splashscreen:
    $ title_pause = 1.0

    scene black
    show ialogo at midscreen with fade
    $ renpy.pause(title_pause)

    scene black with dissolve

    scene beige
    show rplogo at midscreen
    with dissolve
    $ renpy.pause(title_pause)

    scene black with dissolve
    
    with None
    $ renpy.transition(dissolve) 

    return

# ----------------------------------------------------------------------------------

label after_load:
    
    $ music_tempvar = music_current
    $ music_current = "nothing"
    $ nrb.music_previous = "nothing"
    # Cut off other music which is still playing 
    $ renpy.sound.play('sounds/silence.ogg', channel=7, fadeout=2)

    $ renpy.sound.set_queue_empty_callback(music_playlist, channel=7)
    $ music_set(music_tempvar)
    return

# ----- Game begins here -----------------------------------------------------------

label start:
    
    # Clear the game runtime timer, so it doesn't reflect time spent sitting at the main menu.
    $ renpy.clear_game_runtime()

    $ music_current = "nothing"
    # Cut off other music which is still playing 
    $ renpy.sound.play('sounds/silence.ogg', channel=7, fadeout=2)

    $ nrb.music_previous = "nothing"
    $ renpy.sound.set_queue_empty_callback(music_playlist, channel=7)

    # Initialize game variables:
    $ scene20 = False
    $ Dan_met = False
    $ Lcircle = False
    $ guardian = "None"
    $ player_attacks = False
    $ ending = 0

# ----- Player's name input --------------------------------------------------------

    with None
    scene black
    with fade

    $ player_name = renpy.input("What is your name, Magical Boy?") 
    # Strip off any whitespace surrounding the name:
    $ player_name = player_name.strip()

    if player_name == "":
        $ player_name="Shuji"

    # Start the story:
    jump s00001
    
# ----------------------------------------------------------------------------------