
# =============================================================================
#                  1 - M o n d a y
# =============================================================================

label s00001:

    $ save_name = "Monday"
    $ music_set("chapter")

    with None
    scene black 

    centered "Monday: When All Else Fails\n\n\n"
    $ music_set("bridge")

    with None
    scene park01_night
    with fade
    
    "We are reaching the time of the year when darkness falls quicker than you expect. A few weeks back I would have made my way home in the last rays of sunshine."
    "Instead, shadows creep in around you and, before you know it, you find yourself walking in the park at night. Oh well, that's not too bad either."
    "Except for the fact that now I'm late for dinner. Hopefully my parents won't be too mad."

    with None
    scene park02_night
    with dissolve
    
    "What a busy Monday this was. It's been only a few days since we moved here, and now school already started."
    "Since the last weekend was way too short for sorting out all my things, today's classes were a real mess for me. I was missing half of my books."
    "Let's see. Tomorrow is another day!"
    "All in all, having moved was not all that bad. I'm sure I'll like it here."
    "Well, I already like this park. Mysterious and silent at night, you would never imagine how crowded it is during the day."
    "I can picture myself regularly going for evening walks here."
    "Alone at first, though. One day, it would be nice being part of that crowd. With friends and all..."

    $ music_set("scary")
    "Distant voice" '"No! You do not exist! Leave me alone!"'
    "Oh, great. Just what I needed now. Bumping into some drunkard in the park at night."
    "Not that I'm particularly worried or anything..."
    "Ah, there he goes running... the other way."
    "I wonder what could have scared him so much. Surely not the price of the bottle."
    "I do feel a bit uneasy myself though. Why... is the hair on the back of my neck suddenly standing up?"

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    show shadow at pos_r
    with dissolve
    
    with None
    show shadow2 at pos_l
    with dissolve
    
    "!!!"
    "What are these... things...!"
    "Suddenly I don't like nights in this park anymore. Let it be sunshine? Please?"
    "I'd better make my way home quickly. Sticking around here is not a good idea."
    "It's just that my feet are rooted to the spot..."
    
    menu:
        "Seems I have two options..."

        "Calm down. Try communicating with them.":
            jump s00020
        "Snap out of it and run!":
            jump s00030

#   --------------------------------------------------------------------------------

label s00020:
    
    p "Can... can I help you somehow?"
    p "I guess you're not from around these parts, right? You're lost, maybe?"
    "Gee, great line. I'm sure they're impressed."
    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)    

    with None
    scene dreamscape_1
    show shadow at pos_r 
    show shadow2 at pos_l
    with dissolve
    
    $ renpy.pause(delay=0.3)
    
    with None
    scene park02_night 
    show shadow at pos_r 
    show shadow2 at pos_l
    with dissolve

    $ scene20 = True
    
    "I don't really know what's happening here, but this is not looking too good!"
    jump s00040

#   --------------------------------------------------------------------------------

label s00030:

    "I'd be crazy to hang around here any longer. Let's hit it!"

    with None
    scene rushing_night
    with dissolve
    "Run! Run! Run!"
    "Put some... distance... between that creepy place and me..."

    with None
    scene park01_night
    with dissolve
    
    "Phew... they're gone..."
    "Just wondering... could that really have been dangerous?"
    "That was odd. Weird. And, dare I say it, a little bit intriguing, too."
    "Now I wonder if I wasn't overreacting a little."
    "Then again, better safe than sorry!"

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    show shadow at pos_r
    with dissolve
    
    with None
    show shadow2 at pos_l
    with dissolve
    
    "Oh dear, something tells me I'll be more sorry than safe."
    
#   --------------------------------------------------------------------------------

label s00040:

    p "Please... somebody, help me!"
    
    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene clouds_tilted
    with hearttrans


    p "What...!"
    p "Where... where am I???"
    p "What place is this?"
    "Female voice" '"If you really must know, what you see is not a place but a temporary transition between worlds."'
    
    $ music_set("slow")
    
    "Female voice" '"For the time being you are safe, do not worry."'

    with None
    show fairy distant
    with dissolve
    p "Heavens... are you... an angel?"

    with None
    show fairy close
    with dissolve

    w "No, absolutely not. Listen, boy. There isn't much time."
    p "Don't... don't get any closer! I've had my share of weird appearances for today!"
    w "Be {i}quiet{/i} and listen! I do not have any time to waste. My existence is fading, and you must help me now."
    p "... fading?"
    w "Not one of the brightest, are we?"
    "I'll just be quiet and let her do the talking. She's obviously better at it than I am."

    w "They got me by surprise. Nobody of us was expecting them appearing this early."
    p "They? You mean that kind of... see-through things I saw in the park? They were real?"
    w "No, they are not real as such. We call them {i}Shadows{/i}. Usually your kind cannot see them. Some can."
    
    w "The {i}Shadows{/i} are instictively after anyone who can see them. Because whoever can see them could fight them. Like me."
    w "As soon as they thought having disposed of me, they went after your kind."
    w "They are numerous it seems, and they attacked me before I could even begin with my assignment."
    
    p "So these... {i}Shadows{/i}... hurt you?"
    w "Not in a way that is yours to see, but yes, they did. A human would say that I am dying."
    "She is pretty calm while saying that..."
    w "Alas, my path ends here. What I came to do I cannot complete."
    w "We did not expect Evil to arrive this soon. We were so wrong. There never... was time to find a {i}Guardian{/i} and train her."
    w "I am fading and will soon be gone, so pay attention to what I have to say."
    
    menu:
        "\"What Evil are you talking about?\"":
            jump s00050
        "\"What is a {i}Guardian{/i}?\"":
            jump s00060
        "\"How can I help?\"":
            jump s00070

#   --------------------------------------------------------------------------------
 
label s00050:
    w "There is Evil in your world. Not evil as you know it. Not evil people, or evil intents. Essence of evil. The {i}Shadows{/i} are manifestations of Evil walking among you mortals."
    p "That doesn't sound too good."
    w "If you keep on interrupting me, you will die before I do."
    "I settle for an expression somewhere between a smile and a frown."
    p "Anything I should know about this... Evil?"
    w "Stay clear of it. A {i}Guardian{/i}... may stand a chance, but we have to get my people here to be able to fight back."
    jump s00070

#   --------------------------------------------------------------------------------
label s00060:
    w "My people sent me to find a person worthy of being a {i}Guardian{/i}. We do not yet know who it will be."
    w "{i}Guardians{/i} are what their name says: keepers of their world, appointed by us. Their purpose is to keep watch and notify us when the inevitable occurs."
    p "Can a {i}Guardian{/i} fight those... {i}Shadows{/i} I saw?"
    w "Although she may be forced to do so, {i}Guardians{/i} are not supposed to fight."
    p "Why waste time finding this... {i}Guardian{/i}? You know all you need to know. Just get help!"
    w "With powers of mine subsiding, and my strength all but gone, I cannot go back nor ask for help."
    "Okay, so she is performing the dying hero role, but I sure wish she would get to the point!"

    jump s00070

#   --------------------------------------------------------------------------------

label s00070:

    p "Not that I understand much, but if I can be of any help..."
    w "Would I be talking to you if I thought otherwise?"
    "She's getting fairly offensive. And I'm getting fairly annoyed. Even if she is on the verge of dying."
    w "My people must be warned that this world is already under attack. We have to find the {i}Guardian{/i}."
    "I know I shouldn't be saying this, but..."
    p "And I couldn't possibly place the warning call for you, could I?"
    w "No. Those paths you cannot go. Only a {i}Guardian{/i} can."
    p "Paths?"
    w "Gaps between the worlds, very similar to this one."
    p "So where is this {i}Guardian{/i}?"
    w "She has not been appointed yet. My mission was to find her and train her to become a {i}Guardian{/i}."
    p "Her?!"
    w "What seems to be the problem?"
    p "A woman? A girl? Wow, you must be full of prejudices thinking that a boy couldn't... never mind, never mind! We're running a bit out of options here. So what now?"
    w "Are you honest, brave and have a pure heart?"

#   --------------------------------------------------------------------------------
    menu:
        "\"Er... well, sort of...\"":
            jump s00076
        "\"I don't think you have a choice.\"":
            jump s00074
        "\"Yes, fully and truly.\"":
            jump s00076
#   --------------------------------------------------------------------------------
 
label s00074:
    w "You are right. And time is scarce. Listen carefully: Remember to follow your heart... always... along  the way."
    "Follow my heart?"
    jump s00080

label s00076:
    "She is giving me a somewhat critical look."
    p "Sure. Honest, brave, pure heart. Should be a breeze."

label s00080:
    w "Now, we have only one chance. {i}You{/i} must go and find the {i}Guardian{/i}."
    p "How? Where?"
    w "I cannot give you any guidance in this since your world is unknown to me. But you have to be sure of your choice."
    p "Great. Now, could you try being a bit more specific?"
    w "She who has all virtues will be the right one. Be careful; choose too weak a person, and the powers she received will destroy her!"
    p "Wait a second! You're saying that I have to pick some - any - girl to be the saviour of the world? And a wrong choice would-"
    w "Yes. You have to be absolutely sure of your choice."
    p "Listen, I couldn't get a {i}date{/i} if my life depended on it! And here you are asking me to assess every single girl I run across?"
    p "And if, even if I find her, then what? How is one supposed to appoint a {i}Guardian{/i}?"
    w "There is no time, I cannot explain... take this."

    with None
    scene clouds_straight
    show earring
    with dissolve
    
    "She handed me a... an earring?"
    p "Er... cute. For the {i}Guardian{/i}, I guess?"
    "I have a weird tingling sensation in my hand while holding it."
    w "Yes... a catalyst for interacting with the {i}Shadows{/i}... she must concentrate... on energy... transformation..."

    with None
    scene clouds_tilted
    show fairy close
    with dissolve
    
    p "Transformation? Oh, come on!"
    w "The {i}Catalyst{/i} will... know the way to my people."
    w "It is of utmost importance that... the {i}Guardian{/i} never... reveal her identity. Never!"

    $ music_set("bridge")
    p "What? Why?"

    with None
    show fairy distant
    with dissolve

    w "And beware of the {i}Shadows{/i}...!"

    with None
    hide fairy distant
    with dissolve
    
    "She went... or died...?"
    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)
     
    if scene20 == True:
        with None
        scene park02_night
        with hearttrans

    else:
        with None
        scene park01_night
        with hearttrans


    "It seems... it seems I'm back."
    "Luckily, the... {i}Shadows{/i} are gone."
    p "Oh lord, oh lord, what do I do now?  What do I do now?"
    "Hey, get a grip. Calm down and think."
    "Okay. So it seems I'm the only one who knows about this."
    "Do I believe in what I saw? I don't know."
    "Would anyone else believe me if I told them? I have my doubts."
    "Okay. Things are simple. Evil is coming. Help must be brought in. In order to achieve that, I have to find a {i}Guardian{/i}."
    "Easy."
    p "Dammit! Dammit! Dammit!"
    "I can't be seriously thinking about this. This did not happen."
    "This place is empty. There never was anything here in the first place. I've imagined everything."

    $ music_set("waiting")

    with None
    show earring
    with dissolve

    "..."    

    with None
    hide earring
    with dissolve
    
    "Oh dear... how can I pull this through?"
    "Let's get out of here first. Because one thing I think I've understood: It's not safe around these corners."
        
    jump s00100


# =============================================================================
#                  2 - T u e s d a y
# =============================================================================


label s00100:
    $ save_name = "Tuesday"
    $ music_set("chapter")

    with None
    scene black 

    centered "Tuesday: Heroine of the Day\n\n\n"
    $ music_set("scary")

    with None
    scene dreamscape_1
    with fade

    "This place is dark and cold. My whereabouts are shrouded in mystery. Shadows are moving where they should not."
    "This is a dream. I know it must be because it feels too unreal to be true."
    "But that doesn't make it less scary."
    "Screams echo through the night. Somebody needs help. But moving would mean discovery."
    "I stand still. The Shadow things would not let me get away this time."

    menu:
        "What shall I do?"

        "Move towards the screams":
            jump s00105
        "Slip away unnoticed":
            jump s00110
        "Try to wake up":
            jump s00120

label s00105:
    "I am trying, but I cannot move. My feet are rooted to the spot. Then again I feel like floating in sheer nothingness."
    "(Did I really use that expression?)"
    "My surroundings change, yet stay the same."

label s00110:
    "Now the screams dissolve, briefly seem to float around me, then vanish. And I'm not alone anymore."
    "The shadow things have appeared, and this time they know I know."
    "They cannot allow anyone to know."
    "Despite this being a dream, I'm scared to death."

    with None
    scene dreamscape_2
    with dissolve

    "I am being pulled away to a safer place. Any place is safer than the one where I just was."
    "And I hear a faint voice, far away..."
    w "Remember to follow your heart... always... along  the way."
    $ music_set("waiting")
    "The woman... was it really her?"
    "I can tell she was smiling as she said those words."
    "Follow my heart?"

label s00120:

    $ music_set("happy")
    with None
    scene classroom
    
    "Where am I?"
    "Oh. I woke up."
    "Actually it is a wonderful spring day, and I'm confined to this boring class. The teacher is probably doing her best, but the last thing I can do now is concentrate on class."
    m "Hey, you were asleep!"
    p "What!"
    m "I'm sure you were. It's not like you to sleep in class!"
    m "Anyway, you didn't miss much."
    "Matt is my next-table neighbour in most classes. His optimism is legendary."
    "I call him a friend already, although I've only gotten to know him yesterday."
    p "Shhh! Can we postpone the discussion until after class?"
    m "Sure!"

    with None
    scene white
    with dissolve

    $ renpy.sound.play('sounds/bell.ogg', channel=2, fadeout=0)

    with None
    scene classroom
    show matt
    with dissolve

    m "So, slept well?"
    p "I can't believe I did that! I wasn't even tired!"
    m "Oh, history class does that to you. But no need to worry, you only missed a few minutes."
    m "Or maybe it's the rustling of the leaves which lulled you to sleep."

    show iyona at pos_l

    i "Then keep that window closed. I've told you the teachers are not happy when someone forgets it open overnight." 
    m "Come on, I was just trying to cheer %(player_name)s up a little!"

    hide iyona
    p "And she was...?"
    m "Iyona. The class representative. She's really nice."
    "..."
    m "I mean, actually she isn't. Usually doesn't bother talking to lesser folk like us."
    "..."
    p "Right. So is she nice or not?"

    show matt smiling
    m "Er. Well. Change of topic?"

#   --------------------------------------------------------------------------------
    menu:

        "\"No way! Tell me more!\"":
            pass
        "\"Agreed. Let's go outside.\"":
            jump s00130
#   --------------------------------------------------------------------------------

    show matt
    m "Not much to tell, I barely know her. She's kind of snobbish. Hangs around with her gang a lot."
    p "But you like her."
    m "Enough, enough! Let's have our break outside, okay?"
    
label s00130:
    
    with None
    scene yard_1
    with dissolve

    "I'm still a bit shaky from that short dream. I actually haven't been thinking back to that day for quite a while now."
    "The memory of it had started fading just like a dream... and now it's back. And I don't like it."

    show matt
    m "So, have you gotten used to our new school yet?"
    p "Not really sure. I'm not very good at meeting people."

    show aina at pos_r
    a "With a drive like that you will never meet anyone, %(player_name)s."
    show matt smiling
    m "Good guess!"
    a "I'm Aina, by the way. I'm sure you didn't catch all our names at once."
    show matt
    m "She's our classmate, in case you overslept that one too."
    p "Ignore him, Aina. Nice to meet you."
    a "I was wondering if we can help you with anything? We could take you on a tour of the schoolgrounds and introduce you to some people."
    p "Well... I can't see why not. I should have done that right away."
    m "Moving to a new place isn't easy, we all know that."
    p "Mostly because you can't find a single thing for weeks."
    m "How true. When I moved here it was during the school year, just like you. It took my parents three days to find my schoolbooks."

    show aina smiling at pos_r
    a "Now, I'm sure that must have been a disappointment."
    m "Not really, honestly speaking. Ah, excuse me for a second!"
    hide matt
    "I think I saw Iyona running by..."

    menu:

        "Leave with Matt":
            jump s00135
        "Stay with Aina":
            pass


    show aina at pos_r
    a "What got into him?"
    "Funny, I barely know Matt, and still I'm very positive I know the answer to that question."
    p "No clue. Uh, yes, actually I wouldn't mind a tour of the school."
    a "Excellent, we could do that during the break after lunch. But let's start by introducing you to... oh, not that one."
    p "Who?"

    show dan
    $ Dan_met = True

    d "You're the new guy."
    p "Er, yes. %(player_name)s. And you are..."
    d "Dan, nice meeting you. Interested in volleyball? I'm just trying to get enough people together for this season. We're always short of players."
    p "Sounds good. I'll think it over, thanks."
    d "Feel free to drop in at the gym at 5 p.m. We have our planning session then. Setting up timetables, checking the facilities and such."
    p "Why not, after all. I'll be there."
    d "Hope to see you there too, Aina. Bye!"

    hide dan

    a "So what's wrong with him today?"
    p "What? Why? I thought he behaved nicely."
    a "That's what I mean. He can be pretty arrogant at times. Ups. I shouldn't have said that."

    show aina smiling at pos_r
    "She's funny..."

    $ renpy.sound.play('sounds/bell.ogg', channel=2, fadeout=0)
    show aina at pos_r
    p "Oh, pity... seems it's time to get back already."
    a "Yep... math."
    p "See you at the class, I'll try finding out where Matt disappeared to."
    a "Okay!"

label s00135:
    
    p "Well, see you later!"
    a "Yep!"

    with None
    scene corridor_2
    show matt
    with dissolve

    p "How come you were in such a hurry to leave?"
    m "Well, you know... things to do and stuff..."
    "He's a real talent in lying... not!"
    m "Hey, what's up with her?"
    p "Her who? Where?"
    m "Behind you. The nurse is acting weirdly."
    p "The nurse?"
    "Not that I care much..."
    m "Yes, just came out of her office and hurried down the hall."
    m "Let's have a look."
    p "If you insist..."

    with None
    scene corridor_1
    show matt
    with dissolve

    m "Too late."
    show aina at pos_r
    a "Too late for what?"
    m "Don't know either. We just got here."

    show iyona at pos_l
    i "Word is spreading, I see."
    p "About what?"
    i "About Lara."
    p "Lara who?"
    m "She's in our class, dumbhead!"
    a "Stop that, you two. What's with Lara?"
    
    show aina quiet at pos_r
    i  "She just fainted in the classroom, and the math teacher took her to the nurse."
    a "But that's terrible! We have to go check on her."
    hide aina
    hide iyona
    "Leaving Matt and me behind as if we didn't exist, Aina rushes off, Iyona right behind her."
    
    i "Forget it! The nurse went somewhere and I don't think anyone's allowed into her office. Except me as the class representative maybe." 
    a "Yeah, right. As if you cared."
    i "Actually, there are very few people I don't care about. One of them is definitely you."

    $ music_set("bridge")
    
    p "Ouch."
    m "Ouch."

    a "Oh, get lost! I'm going in, who cares about the nurse! Why did she have to rush off anyway?"

    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
    p "Hm. I understand Aina and Iyona are not the best of friends?"
    m "Yes, Einstein. Great intuition."
    m "And now, what about going to class before we're late?"
    p "Let's go."

    $ music_set("scary")
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    scene dreamscape_1
    with dissolve

    $ renpy.pause(delay=0.3)
    
    with None
    scene corridor_1
    show matt    
    with dissolve

    "What... what was it?"
    m "So, are you coming?"
    "That vision... that odd feeling."
    p "No... no, just go ahead, I'll... have to check the lavatory first."
    m "Well, okay, be quick!"
    hide matt

    "This is a feeling like in my dream, only now I'm not dreaming... or am I?"
    "No, it feels like that night in the park."
    "{i}Shadows?{/i} But not in the nurse's office. I'm daydreaming again."

#   --------------------------------------------------------------------------------
    menu:
        "What shall I do?"

        "Enter the room":
            "This feeling is so unsettling that I won't be reassured before I've checked."
            "Let's open this door, then we know!"
            jump s00150
        "Return to the classroom":
            jump s00145
#   --------------------------------------------------------------------------------

label s00145:

    "I can't just pop into the nurse's office."
    "And Aina is already in there, so there is no need."
    "Let's go, I'm already terribly late for math!"

    with None
    scene corridor_2
    with dissolve

    a "Wait!"
    "Huh?"
    jump s00151
    

label s00150:

    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
    $ renpy.pause(delay=1)
    show aina quiet
    p "Uh!"
    a "Ah!"
    p "You scared the wits out of me."
    a "Well, same here."

label s00151:

    show aina quiet
    p "Are you okay? You look pale."
    a "I'm okay. Lara's not feeling well at all, I'm worried."
    p "But the nurse's gone, right?"
    a "I have to go after her. Maybe she went to fetch Lara's parents or something..."
    p "I'd do it for you if I knew the school building a bit better."
    show aina     
    a "Don't worry, I'll be quick. But can you watch over her for a sec? Please?"
    p "Well, yes, sure."

    hide aina

    "She must be a bit distressed, how else would she have gotten the idea that I should watch over somebody I don't even know?"
    "And being in the nurse's office without permission?"

    with None
    scene corridor_1
    with dissolve  

    "And this eerie feeling just won't let go. I can feel the presence of..."

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)
    
    with None
    scene dreamscape_1
    show shadow
    with dissolve
    
    $ renpy.pause(delay=0.3)
        
    with None
    scene corridor_1
    with dissolve

    "No!"
    "It's those Shadow things!"
    "So all of this is connected? The commotion is caused by them?"
    "Lara? Oh lord, please don't!"
    "No time to waste, let's move!"
    "Why do I have the feeling it is a good idea to have everybody out of the way right now?"

    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)

label s00153:

    with None
    scene nurse_office 
    show lara quiet
    with dissolve
    
    "Phew. So I was overreacting after all. Everything is fine here."
    p "Oh, er... hi. I'm the new guy."
    "Quite some equipment they've got here. For a school nurse's office, I mean."
    "Then again, this school is much bigger than my previous one."
    p "I'm really sorry to have jumped in like this. Aina was a bit worried-"
    l "Stay away."
    "Now, that's a tad bit impolite. But then again she's right, what was I thinking to jump in like this?"
    p "Sorry again. I'll be waiting outside until Aina's back."
    l "I can see you! {i}Stay away{/i}!"
    p "...?"
    "Okay, now I start understanding why Aina was worried. Lara is acting weirdly."
    p "I beg your pardon?"
    p "..."
    p "Hey, what's up with you?"
    l "Go away... go away..."    
    "Does she hear or see me at all? I'm not very sure."
    p "Can... I help you somehow?"
    "How irresponsible can a nurse be to leave somebody in this state alone? I'll give her a quick run-down of my opinion when she's back."

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    scene  dreamscape_1
    show shadow
    with dissolve

    $ renpy.pause(delay=0.3)
    
    with None
    scene nurse_office 
    show lara quiet
    with dissolve
    
    "Ow... ouch!"
    "It's... like physical pain... they are so close."
    "Maybe I 'm getting the picture. A Shadow is after her? But why?"

    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "The {i}Shadows{/i} are instictively after anyone who can see them. Because whoever can see them could fight them."
    "That's exactly what she said."

    with None
    scene sepia
    with dissolve

    with None
    scene nurse_office 
    show lara quiet 
    with dissolve

    "Thus, Lara can see them. They are after her. And she can sense them much better than I can."
    "Could she be... the {i}Guardian?{/i}"


label s00159:
    
    l "Leave me alone! Don't come any closer!"
    "By now I'm sure she is not talking to me."
    "This is scary... could the woman really have been right?"

#   --------------------------------------------------------------------------------
    menu:
        "What shall I do?"

        "Calm Lara down until the nurse is back":
            jump s00160
        "See if the magical earring is of any help":
            jump s00170
#   --------------------------------------------------------------------------------
    
label s00160:
    "The woman called that earring a {i}Catalyst{/i}. It is supposed to be dangerous for the person using it."
    "And that surely includes myself. So it's probably better to forget about that thing for a while and find another way to calm Lara down."
    
    l "Get ouf of the way! Let me out of here!"
    hide lara
    "She's coming straight at me!"    
    p "Hey, dont-!"
    with hpunch

    p "OUCH!"
    p "Ow, ouch, owowow..."
    p "What on earth did you think you were doing?!"
    "Why... is my leg hurting so much? Like a sharp needle..."
    "... needle?"
    "My pocket! The thing! The {i}Catalyst{/i}! The earring!"
    p "Come on, get off me!!!"
    
    show lara quiet 
    "The pocket... let's see..."
    jump s00175

label s00170:    
    "I have no clue how to use the earring."
    "Actually, the woman called it a {i}Catalyst{/i}. It is supposed to be dangerous for the person using it."
    "But then again, I've been carrying this stupid thing around for ages, so I might as well give it a look. Who knows, maybe it helps if I give it to Lara?"
    "Let's see... here in my pocket somewhere..."
    p "OUCH!"
    p "Ow, ouch, owowow..."
    "That was like a sharp needle right into my palm..."
    "... needle?"
    "The thing! The earring! The {i}Catalyst{/i}!" 

label s00175:

    "The cursed thing... the earring's fastener must have gotten loose. And that's a sharp needle if I've ever felt one."
    "Feels pretty bad. That's what you get from fumbling around with girl things!"
    "Is it bleeding? I could never stand the sight of blood, especially not my own..."
    "Oh, be a man! It's a scratch, for heaven's sake!"
    "I feel dizzy..."
    "No, not dizzy, more like..."

    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene nurse_office 
    show lara quiet 
    show magicbox
    with dissolve

    "I feel sick... can't... breathe."
    "As if body and mind were being torn from each other... why?"

    with None
    scene black
    show magicbox 
    with dissolve
    
    "Oh no... the earring, stupid! I must have... triggered... whatever..."
    "The woman had warned me! Its powers will destroy me!"
    "No, wait... I'm alive. I'm alive. Yes. Still there."
    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    scene dreamscape_1
    show magicbox 
    with dissolve    

    "Whatever {i}there{/i} means... where am I?"
    "It's like... walking with one leg in another world."
    "Like that place where I met the woman. Only worse."

    with None
    scene dreamscape_1
    show shadow
    show magicbox 
    with dissolve    

    "Much worse."
    "The {i}Catalyst{/i} has catapulted me into the world of the {i}Shadows{/i}. I can see it clearly now."
    "This looks even more scary than before."
    "Still, in some weird way I feel at ease now... is that what the {i}Catalyst{/i} does?"
    "At least now I see what was happening to Lara. She was not afraid of me."
    "She was scared out of her wits by the Shadow."
    "And that means... she can see them?"
    "So I'm not crazy after all, that's a relief."
    "But back to business now! Since it seems I'm supposed to be in charge now, I have to clear my throat and say..."
    p "Shadow, or whatever you are, leave now!"
    "..."
    p "... please?"
    
    "Well, it's not really leaving, but it's not coming closer either."
    "Now if this was a TV series, I would have mentors, allies, instructions... Secret weapons and deadly martial moves would make me an unchallenged fighter for justice."
    "I wish I had powers to summon... things. Like thunderblades... fireballs... {i}Heart-Shaped Bursts of Gold{/i}!"
    "{i}Heart-Shaped Bursts of Gold?{/i}"
    "Where did that weird idea come from...?"
    "Oh, come on, get a grip! What am I thinking?"
    "The {i}Shadow{/i} starts moving towards us. I'd better do something quickly!"

    menu:

        "Stand at Lara's side":
            jump s00180
        "Stand my ground":
            jump s00190

label s00180:

    "That look in Lara's eyes... fear, greater than any I've ever seen."
    "I'm afraid too actually, but I can't let it show."
    "Moving closer to Lara, I can see her eyes following me. She can see me, whereever I am now."
    "I'm beside her."
    p "Don't worry... we'll make it out of here."
    "I don't know if she can hear me in this warped reality... but she does give a hesitant nod."
    
label s00190:

#    show shadow at center

    "Attacking the Shadow physically might be a bad idea. I probably couldn't anyway... it looks so insubstantial that I could watch TV {i}through{/i} it."
    "Which brings me to the question of the day: How do you fight these things?"
    "Seems I'm a {i}Guardian{/i} now, at least temporarily."
    "{i}Guardians{/i} are not supposed to fight, that's what the woman said. But she also said {i}Guardians{/i} may be forced to. So there must be a way!"
    "What about bluffing...?"
    
    p "Shadow, you are not welcome here. You probably know I will not fight you if I can help it. But you surely know that I will if I must."
    p "I don't want to use my {i}Heart-Shaped Bursts of Gold{/i} unless I absolutely have to."
    "Well, this pretty much sums up all the bluffing I can come up with this week."
    "My voice trembled only slightly, but I tried making it clear that I meant it."
    "No, that's useless. I realise that thing cannot hear me. Words probably do not mean anything to these beings. Actually, I'm not even sure they are beings. Are they sentient?"
    "But just as I can feel the fear radiating from this {i}Shadow{/i}, I can also feel something else now."
    "Puzzlement. Caution?"
    "Shivers run down my spine as I realise that I did influence it, somehow."
   
    hide shadow
    $ music_set("slow")
    
    "As it fades, so does the feeling of threat."
    "The {i}Shadow{/i} is gone."

    with None
    scene nurse_office 
    show lara 
    show magicbox
    with dissolve

    l "Thank you... I saw what you did...!"
    p "You did, huh? Erm, are you okay now?"
    l "That thing was trying to get me!"
    p "You think so? Why?"

    with None
    scene nurse_office 
    show lara quiet
    show magicbox
    with dissolve

    l "I don't know! I don't know!"
    p "It's alright, don't worry. Whatever it was, it's gone now. Okay?"

    with None
    scene nurse_office 
    show lara 
    show magicbox
    with dissolve

    l "Yes. Okay."
    "At least for the time being."
    
    l "And... who are you? You are... I've never seen you before!"
    p "You don't remember me?"
    l "No, I would have remembered a girl like you."
    p "Eh...?"
    "What did she just say?"
    "She must have hit her head somewhere..."

    l "Actually, you look almost unreal... like clouded in a golden mist, or something..."
    "Oh dear, she is completely gone. Where is this bloody nurse?"
    l "No, don't worry, nobody else can see it. Sometimes I'm able to see things. Auras around people and such."
    "And {i}Shadows{/i}, I can guess. This girl is scary."
    
    l "What's the matter?"
    "Now I must act quickly. I don't know how much time passed, but Aina and the nurse will be here any moment now."
    p "Can I... ask you not to tell anybody about this? Please? I don't think it's wise to talk about this thing... this {i}Shadow{/i}."
    l "Sure, that goes without saying. Keeping quiet about these things is one lesson I learned very early."
    p "Did you see those... {i}Shadows{/i} before?"
    l "No! No, and I hope I won't have to, ever again!"
    "Something tells me I'll have to see to that for the time being..."
    l "You called it 'Shadow'? But why are they called like that if they're ablaze with light?"
    p "..."
    p "Duh. Beats me."
    
    with None
    scene nurse_office 
    show lara smiling
    show magicbox
#    with dissolve

    "I made her smile. That's good. She's already feeling better."
    l "Well, I'm glad there is somebody who knows about this."
    p "...?"

    with None
    scene nurse_office 
    show lara 
    show magicbox
#    with dissolve
 
    l "I mean, you must be here because of these {i}Shadows{/i}, right?"
    "Now, what do I answer to that...?"
    l "Don't worry, it's okay, you don't have to tell me."
    "Good. I won't, especially because I have no clue myself."
    "And before I go, there was one thing..."
    p "You said you can see... my aura, that's what you called it?"
    l "Yes. It is a strong one, but I cannot see through it."
    p "Yes, erm... meaning?"
    l "I'm able to recognise people by their aura sometimes. Yours is... shifting. Misleading."
    "She had said something very strange earlier."
    "It did strike me as odd at first, but now... do I actually believe her?"
    p "Describe me."


    l "I should what?"
    p "Well, what do I look like? Seen from your eyes."
    "She shakes her head. She now probably thinks that {i}I{/i} should be the one waiting for the nurse here."
    l "Okay... erm... blonde hair, yes? Like, shoulder-length, slightly wavy? Straight nose... Oh, I'm just not good at this kind of things! Go and have a look in the mirror!"
    "Now that's a good proposal if I ever heard one! It must be the {i}Catalyst{/i}... what did it do to me?"
    l "Will we meet again?"
    p "Yes, somehow I'm pretty sure about that."
    
    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)

label s00195:

    with None
    scene corridor_1
    show magicbox
    with dissolve

    $ renpy.pause(delay=1)
    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene corridor_1
    with dissolve

    $ renpy.pause(delay=1)
    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)

    with None
    scene lavatory
    with dissolve
    
    "Lara gave me quite a scare back there."
    "Okay, I passed the mirror check. I do look normal enough. My usual charming face, if I may say so myself."
    "But things start making sense now."

    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "The {i}Guardian{/i} must never... reveal her identity. Never!"
    "That's what the woman said. And whoever made that {i}Catalyst{/i} made sure it really works that way."

    with None
    scene sepia
    with dissolve

    with None
    scene lavatory
    with dissolve

    "The {i}Guardian{/i} must never reveal her identity."
    "The {i}Catalyst{/i} fooled Lara into believing she saw a girl."
    "..."
    "Of all the things under the sun, this one really made my day."
    "I mean, whatever happened to me has already been bad enough, but this...!"
    p "This is just too much! I don't want to be a girl!!!"
    "Voice from a stall" '"Glad you made up your mind about that one, man!"'
    "..."
    "Sheesh. Let's get out of here... not a good idea to have discussions with oneself in public places."

    $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
    $ music_set("bridge")

    with None
    scene corridor_1
    with dissolve

    "Well, all in all... what a pity. My appearance as the male hero rescuing the damsel in distress did not really work out. Lara will never know it was me."
    "Oh well. Hopefully this means the {i}Shadow{/i} was fooled, too."
    "I still feel a bit of nausea, but it's getting better... now that the {i}Catalyst{/i} has apparently gone back to sleep."
    "Speaking of which... my injury may be small, but it's throbbing with pain. Did I really have to pierce that thing through my skin in order to get it working?"
    "Regardless, somehow I get the feeling it's not very healthy to use it."
    "Well, no wonder there are side-effects... if it's meant to be used by a girl!"
    "Impersonating a girl is definitely one of the things in the world I never wanted to do. I can't think of any better motivation than this to find a {i}Guardian{/i} who will take this over."
    "And {i}quickly{/i}."
    "I have to keep an eye on Lara. She might be a good choice for a {i}Guardian{/i}."
    "It seems she can see things others cannot. But will she believe me? Is she strong enough? Can I risk it?"
    "On the other hand... do I have the right to risk anyone's life for this?"
    "And how much time do I have? Hours or days? One month? A year? Or is it even too late already?"

    $ music_set("waiting")
    "It was too late for the woman. It sure was."
    "Why is nobody there to ask?"
    "Why?"

    with None
    scene black with fade
    jump s00200    


# =============================================================================
#                  3 - W e d n e s d a y
# =============================================================================

label s00200:
    
    $ save_name = "Wednesday"
    $ music_set("chapter")

    with None
    scene black 
    centered "Wednesday: Steal Body And Mind\n\n\n"
    
#   --------------------------------------------------------------------------------

    $ music_set("intro slow")
    with None
    scene park01_day with fade
    
    "Another day went by, and yet again I have the feeling the past few days were nothing but a dream."
    "And again, I still don't know what to do."
    "It is hard to believe all this happened, and even harder accepting it all happened to me."
    "It feels unreal that among all this I still have to stick to my school routine. But what choice do I have?"

    with None
    scene park02_day
    with dissolve

    "The worst is not being able to talk to anybody about this situation. Nobody to turn to, nobody to ask for advice."
    "What shall I do? Keep everything to myself until I know more, or share my experience with somebody?"    
    "And with whom would I share it, anyway?"
    
    show matt

    m "Good morning!"
    p "Oh, hi."
    m "Lost in thoughts, huh? Anything on your mind?"
    "Somehow I doubt 'Working out how to find a {i}Guardian{/i}' would be an appropriate answer."
    p "No... no, not really."
    m "Right. Let's go, you can tell me on the way."
    
    hide matt

    with None
    scene yard_2
    with dissolve
    
    "Just thinking... what would somebody else do in my situation?"
    p "Matt?"
    m "Yes?"
    p "Assuming you were looking for someone, but didn't know how to find out more about the person, how would you do it?"
    m "Eh?"
    p "You know, finding out more about somebody. How would you do that?"

    show matt smiling

    m "Ah, I get it! Our Casanova's on the move!"
    "He can't honestly be thinking...!"
    p "Hey, that's nonsense. What I meant-"
    m "You sure aren't wasting any time, having just moved here and stuff!"
    "Argh! He completely misunderstood!"
    "Then again... could it be a safer option not to tell him the truth?"
    "Let him believe I'm just after some girl. For the time being."
    p "Erm... assuming you were right..."

    show matt 
    
    m "Pal, no need to explain. But somehow you've got the wrong chap here. It's not like I'm the straightforward type of guy either."
    p "Great, so we're a bunch of losers."
    m "Let's hear it anyway. What do you need?"
    p "I'm kind of looking for somebody special."
    m "Great line, man. Aren't we all?"
    p "Let me explain... I'd need a very empathic person, and she should be a quick learner, too."
    "And also..."
    p "Coming to think of it, she would need to be quite tough. Not on a physical level, I'm rather thinking about self-confidence and strength of mind."
    m "..."
    p "Well, that would be it. I guess."
    m "Er. Yes."
    p "Well?"
    m "Uhm... did ever think of having a medical check-up in the near future?"
    p "..."
    m "Hey, come on, I'm kidding!"
    "..."
    p "Well?"
    m "Don't know... what about her looks? Do you have any requirements in that area?"
    p "Oh, come on!"

    show matt smiling
    
    m "Know what? You're weird. Did you notice at all that you were missing the romance part in your description?"
    m "You're unbeatable, really. Let's go, or we'll be late!"
    
    with None
    scene yard_1
    with dissolve
    
    "The romance part...?"
    "Actually, Matt is right. I listed every possible attribute the {i}Guardian{/i} might need, but did not consider at all whether the person should be... likeable."
    "Well, is that important at all?"
    "Now there's a good question."
    "Yes, somehow I feel that the {i}Guardian{/i} must be... how should I put it..."
    "... a good person? That sounds pretty silly."
    
    m "Well, so how are you planning to choose your date?"
    p "What? Sorry, I was lost in thoughts."
    m "Sure looked like it, you nearly ran into that tree. What are you going to do now?"
    "If only I knew!"
    p "Don't know. Maybe, like, watch the girls closely?"

    show matt 
    m "Oh, pal. Watch them. Yeah, great plan! Know what? You're hopeless!"
    p "Okay, fine. Then tell me what your tactics are with Iyona."

    $ music_set("waiting")

    show matt embarrassed
    m "What... what tactics?"
    "Bull's eye."

#~ --------------- Planning for the next day ---------------- >>>>>
label s00205:

    with None
    scene white
    with dissolve

    with None
    scene classroom with fade

    $ music_set("happy")
    show matt 
    show aina at pos_l

    a "Hi guys!"
    p "Hi Aina!"
    m "So what's up?"
    p "Uh... Matt, she's been with us the whole morning, and you ask her only now during the break?"
    m "Not my fault she didn't want to talk to me in the classroom."
    a "Of course not {i}during{/i} class, flatbrain!"
    m "I was whispering."
    a "What you call whispering nearly blew our teacher's wig off!"
    m "..."
    a "..."
    m "What's the matter with you, %(player_name)s?"
    a "Yes, you're a tad bit quiet."

    "Good point, I'm afraid..."
    "I'd love to start joking around, but somehow I don't feel like it."
    "The past days were a bit of a challenge. Too much happened too fast."
    p "Oh, it's nothing... was just a bit worried about Lara. She wasn't around today."
    a "No worries! She's fine, even called me up this morning. She's staying at home to get her forces back up."

    show matt smiling
    m "How interesting, he's worried..."
    a "Hm?"
    m "Oh, nothing... just thinking aloud..."
    a "You, thinking? Wow, {i}that's{/i} impressive!"

    show matt 
    "Good one. Thanks, Aina."
    a "But down to business, guys. I have a favor to ask. %(player_name)s, it seems you excel in French, as we all could witness half an hour ago."
    p "Me? I'm not that good actually, it's just that nobody else was interested in participating."
    m "What kind of feats do you expect that early in the morning?"
    a "Hm, biology class is in the mornings, too. Still, you're always very active there."

    show aina smiling at pos_l
    a "I wonder if that has anything to do with the teacher's bosom?"
    show matt embarrassed
    m "That's- that's-"
    show aina at pos_l
    a "...the truth. Anyway, %(player_name)s, I think I'll need your help with homework."
    p "Well, actually I'm kind of busy right now."
    show matt 
    m "Why don't we set up a learning circle? I'd need some help myself with French."
    "It seems Matt decided to ignore my comments..."
    menu:
        "A learning circle?"

        "\"That's a good idea!\"":
            jump s00220
        "\"I'm too busy for that.\"":
            jump s00230
    
label s00220:
    $ Lcircle = True    
    m "Good! In return I'll help out with math."
    a "Deal!"
    m "And you'd be doing...?"
    
    show aina smiling at pos_l
    a "%(player_name)s, if you offer us your place I'll put in my mom's cake."
    m "Ah, for a second you had me scared there. I'm glad you're not baking yourself."
    show aina quiet at pos_l
    a "What a-"
    p "... jerk?"
    
    show aina smiling at pos_l
    a "Yes. Thank you."
    p "My pleasure."
    m "Two against one is not fair!"
    show aina at pos_l
    a "We'll get Lara to join as soon as she is well, then you can try to have her on your side."
    p "Good luck with that one."
    a "So what about starting tomorrow, right after school?"
    m "Sure!"
    p "That's fine, let's do it that way."
    "Thinking of my mess at home... oh dear. But then again, what is a messy room compared to the survival of mankind? Let's get the priorities straight here."
    jump s00240
    

label s00230:
    a "Oh, please!"
    m "Be a sports! What else can be so important anyway?"
    p "Remember we just moved? My parents will still need a lot of help these days. Unpacking, finding things, fixing the place... you should know, you've been through that."
    a "True, we've all been at some point. But can we come back to this maybe next week?"
    m "When you've kind of settled down."
    p "Right... then, let's decide next week, okay?"
    a "Okay!"
    m "Deal."
    a "So let's have a small start then, just us two and Lara?"
    m "Fine with me. Whose place?"
    a "Yours, it's closer to school."
    m "Alright..."
    
    "I feel really bad lying to them. But they haven't been through the scary encounters I had."
    "And I hope they'll never have to."
    "Hell, I hope {i}I'll{/i} never again have to, either."
    "They don't know what's happened. And I'll have to see to it that they never will. But something tells me time is scarce."
    
    $ renpy.sound.play('sounds/bell.ogg', channel=2, fadeout=0)
    
    m "Break's over... let's go back to the hard reality of life."
    "Yes, the hard reality of life... be happy you don't know all of it, my friend."
    jump s00240

#   ------------------------------------------------ Planning for the next day -----

label s00240:
    with None
    scene classroom
    with dissolve
    
    "The day went by in a blur."
    "Sitting in classrooms, and not hearing a single word."
    "Even when called to the blackboard once or twice, I floated through a misty dreamscape. Answering the teacher without really hearing myself."
    "It's not a good situation. I'm getting more and more restless."
    "I know little enough to be afraid, but not enough to know what to do."
    "How dangerous are the {i}Shadows{/i}?"
    "When will they stike next?"
    "And... how much time do I have?"

    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "We did not expect Evil to arrive this soon. We were so wrong. There never... was time to find a {i}Guardian{/i} and train her."

    with None
    scene sepia
    with dissolve

    with None
    scene classroom
    with dissolve

    "She made it sound as if there was no time, already back then."
    "Shall I just go for it and ask Lara?"
    "Without searching for anybody else?"
    "Well, it's time to get going. I will sleep this over, one more time."
    "But tomorrow... tomorrow my mind will have to be made up."

#   ---------------------------------------------- Player did already meet Dan -----
    if Dan_met == True:

        "I know I should go to to see Dan, like I promised yesterday."
        "But honestly, the last thing I feel like doing right now is organizing sports events."
        
        show matt 
        m "You lucky bastard."
        p "Beg your pardon?"
        m "Going to the planning session tonight, I heard?"
        p "Not sure really. Why? What's the matter?"
        m "Stop pretending, I know why you're going!"
        p "Because I like volleyball?"
        m "..."
        m "No, because... because... oh, you know it. Iyona's bound to be there."
        "Iyona?"
        p "Ah. Really? No, I didn't know. How come?"
        m "She's after Dan, as far as rumours go."
        p "Ah. Very interesting."
        "I wish we could stop this discussion now. I've got to go home and figure out how to save the world."
        "Here we are, merrily discussing Matt's crush on Iyona while mankind is threatened by hordes of {i}Shadows{/i}."
        p "I'm not sure I'll be going. Why don't you go in my place?"
        
        show matt embarrassed
        p "But listen, I've got to run now, my mother's asked me to do the shopping for tonight's dinner."
        "Wait, wait - if Iyona will be there, that could be a very good way to get to know her. What other chance do I have to meet her that quickly?"
        "So actually..."
        p "Iyona, you said?"
        m "Yes. Well, if you insist I could go-"
        p "But, after all, I promised to Dan I'd be there... okay, I'll go. You're right, I should take commitments more seriously."
        m "What?!"
        p "Thanks for reminding me."
        m "But- I thought you had to do the shopping?"
        p "Shopping? What on earth are you talking about?"
        p "Well, gotta go. See you around!"

        with None
        scene black
        with dissolve

        m "..."
        m "That lucky, lucky bastard!"

#   ---------------------------------------------- Player did not yet meet Dan -----
    else:

        show matt 
        m "Hey pal, what about tonight?"
        p "Beg your pardon?"
        m "Well, I thought we could hang around the city a little and go see some action. Drowning our despair in popcorn and such."
        p "Our despair...?"
        m "Yes. Dark toughts. Well, okay, not ours - mine. Oh, stop pretending, I'm sure you heard!"
        p "Heard what?"
        m "..."
        m "Well, Iyona's bound to be in the gym later tonight, organizing the season's volleyball games."
        p "Aha, so what is she doing there? And, thinking of it, why should I actually care?"
        m "Because she's going to be there with Dan, and that's a big catastrophe!"
        p "Oh dear..."
        "I wish we could stop this discussion now. I've got to go home and figure out how to save the world."
        "Instead, here we are, merrily discussing Matt's crush on Iyona while the world is under attack by hordes of {i}Shadows{/i}."
        p "Right. So why don't you join them?"
        show matt embarrassed
        "Right..."
        p "Listen, I've got to run now, my mother's asked me to do the shopping for tonight's dinner."
        m "No popcorn?"
        p "Eh? Oh, no, I'm sorry, it'd be a bit tight. But tomorrow maybe?"
        m "Can I call you if I drown in sorrow?"
        p "*Sigh*"
        p "Sure thing. Gotta go now, see you tomorrow!"
        m "Yeah... see you..."
        
        with None
        scene black
        with dissolve

        m "..."
        m "Shopping? Dinner? Stupid me, I could have invited myself...!"

#   --------------------------------------------------------------------------------
label s00250:

    with None
    scene yard_2
    with dissolve

    "At last school's out. I really need some time by myself to sit down and decide on a few things."
    "Maybe I should ask Lara after all. I need {i}somebody{/i} to talk to, for heaven's sake! How am I supposed to solve this mess all by myself?"
    
    $ music_set("bridge")
    "That woman should have sent a SWAT team down here. Instead, she picks up a schoolboy, gives him a darn magical earring with a sharp needle, and off she goes."
    "Great achievement, really. I guess we should be thankful the world is not being completely overrun by these... creatures... thingies... {i}Shadows{/i} just yet."

    $ music_set("scary")
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    scene dreamscape_1
    with dissolve
    
    $ renpy.pause(delay=0.3)
    
    with None
    scene yard_2
    with dissolve
    
    "Oh no, not again..."
    "Where... where are they this time?"
    "Lara wasn't at school today... it can't be her. Somebody else is attracting the {i}Shadows{/i}."
    "Now that I think of it, I've only seen them appearing around these corners so far."
    "In the park right next to the school, and in the school itself."
    "It would be good to know if they also appeared elsewhere. That could be one starting point for finding out what to do."
    "But back to business... I'll need to..."
    p "*sigh*"
    "... transform."
    "The school yard is the worst of all places. Where could I hide?"
    "In the gym, of course! There will be changing rooms, and school's out. If the doors are not locked yet..."
    "Let's go!"

    with None
    scene gym1 with fade 
    "Let's see... changing rooms to the left..."

    with None
    scene gym2
    with dissolve     

    "Well, great planning... seems the changing rooms are locked. But since nobody's here yet, I'll just get it done right here. As long as the janitor doesn't pop in right now it should be fine."

    with None
    show earring
    with dissolve

    "Here we go... transformation!"
    "..."
    "Right. Er, how did it work last time? I didn't want to transform back then... actually, I didn't even {i}know{/i} I could."
    "Well, I did sting myself quite badly with that needle last time, but I doubt drawing blood is the real way to use it. That would get the real {i}Guardian{/i} quite upset in the long run."
    "..."
    "Okay, let's assume there is a reason why the {i}Catalyst{/i} has the shape of an earring. It is inconspicuous enough, and once you've put it on you will have it with you all the time. There is no risk to forget it in a bag or such."
    "So, having the earring with me is probably a good start."
    "Also, it sure enough wasn't on my earlob last time, and still it worked."
    "But why did it work before and not now?"
    "Because I was frightened? Stressed? Hurt?"
    "Am I just too relaxed right now?"
    "Hm..."
    p "Oh, transform, dammit!!!"
    "First voice" '"Is there somebody?"'
    "Oh, no!"

    with None
    hide earring
    with dissolve

    "Now who can that be?"
    "Second voice" '"I saw him going in here."'
    "Oh, no... that sounds like Iyona and Dan."
    d "We will find him."
    i "We will make him suffer."
    "{i}What?{/i}"
    "I must have misunderstood. I'm being a bit too tense lately... can I be blamed for that?"
    
    d "Let me deal with the boy."
    i "You let him get away already once."
    d "He will not have anybody to help him this time."
    i "Nobody may obstruct our path."
    d "Nobody will."
    i "Except that strange girl did. She drove us back."
    d "She was strange, that one."
    "!"
    "That... just sounds too odd. I could swear it's Dan's and Iyona's voices, but... what on earth are they talking about?"
    "Could it be...?"
    
    d "It is dark in here. I do not like my senses."
    i "Get used to it. We are too weak to roam by ourselves."
    d "I do not like this way to communicate. It feels awkward. I find myself constantly searching for words."
    i "That is of no concern now! Find the boy!"

    "I'm not sure I understood everything correctly, but in my opinion I'm in a pretty bad situation."
    d "This is the last corridor."
    "Please... walk by... don't look this way."
    "If they find me here... Oh, {i}Catalyst{/i}, please... one last time, help me out of this one..."

    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    show magicbox
    with dissolve

    $ renpy.pause(delay=1)

    with None
    scene gym2 
    show dan possessed
    show magicbox 
    with None     

    d "I found him. Come here."

    with None
    scene gym2 
    show dan possessed
    show iyona possessed at pos_r
    show magicbox 
    with None     

    "That may well be Dan and Iyona, but they have something... odd about them."
    i "That is not him. It's a girl. Use your eyes, you fool!"

    "...?"
    "So did... did it work? They did not recognize me..."

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    scene dreamscape_1
    show shadow
    show shadow2 at pos_r
    show magicbox 
    with dissolve
    
    $ renpy.pause(delay=0.3)    

    with None
    scene gym2 
    show dan possessed
    show iyona possessed at pos_r
    show magicbox 
    with dissolve     

    "What on earth does this mean?"
    "Is this what the {i}Shadows{/i} are after? Hijacking bodies? Like in those prehistorical B-movies my parents like so much?"

    d "I shall terminate her."
    i "Do so, she is strong too." 

    p "Who... who are you?"
    d "That is not of your concern."
    p "Really? We shall see about that."
    i "Kill her."
    
    "What now? It was hard enough to fend off a {i}Shadow{/i} in its immaterial state... but here, I'm cornered by two real people."
    "And Dan is not the slacker type, either."

    p "Stand back, or else...!"
    "Or else... what? Why is nobody here to help me?"
    "They will not be fooled this time by me bluffing around."
    "I could use half a dozen muscular supporters fighting by my side right now. And magical weapons."
    "Such as those {i}Heart-Shaped Bursts of Gold{/i}, for example."
    "{i}Heart-Shaped Bursts of Gold{/i}? That's odd... I've been thinking about those before."
    "I mean... Could it be...?"
    
    i "What are you waiting for? We are stronger than her."
    d "Agreed. I will take care of her."

    hide dan possessed
    "He's coming at me!"
    p "{i}Heart-Shaped Bursts of Gold!!!{/i}"

    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene heart
    with dissolve

    $ renpy.pause(delay=0.3)

    with None
    scene gym2 
    show magicbox 
    with dissolve       
  
    $ music_set("bridge")
    "Wow, that must have been... impressive. Whatever it was. Because I couldn't see a thing."
    "Actually I still can't, really. I feel a bit weak. What has happened?"

    with None
    scene gym2 
    show dan 
    show magicbox 
    with None

    "And Dan... looks a bit disoriented."
    d "Oh, er, hi."
    "Uh... so what does one reply to that?"
    p "Would you mind backing off a bit?"
    d "Oh. Er. Yes. Er. Sorry!"
    
    with None
    scene gym2 
    show dan 
    show iyona at pos_r
    show magicbox 
    with None

    i "Dan! What do you think you are doing?!"
    d "Excuse me?"
    i "{i}Who{/i} is that girl?"
    d "What?! How should I know?"
    i "If I may say so, you're a bit too close for not knowing her."
    d "I didn't really... I-"
    
    "Could it be that he meant to say, 'I didn't really walk here myself?'"
    "How much do they remember?"
    "But they're definitely back to normal. Does it mean the {i}Shadows{/i} got scared away?"
    "Or defeated?"
    "Is that possible at all? And if so, how did I do that?"

    d "By the way... we haven't met yet, have we?"
    i "Now that's enough! She's not part of the volleyball group for sure, so she's leaving now!"
    "What a character..."
    "But leaving is a good idea."

    p "So, if you'd excuse me..."
    
    with None
    scene gym1
    show magicbox 
    with dissolve
    
    "I step past them, feeling Iyona's very unsympathetic stare burning in my neck."
    "So on top of the {i}Shadows{/i} it seems I have one more adversary now."
    "Well, Dan isn't my type really..."
    "Stop these stupid thoughts! I'm a boy, dammit!"

    $ music_set("waiting")
    with None
    scene black with fade

    d "But who was she? I can't remember having met her before."
    i "I most definitely hope so, for your sake."
    d "She was beautiful..."
    i "What?!"
    d "Nothing, nothing..."
    
    with None
    scene black
    with fade

    jump s00300    


# =============================================================================
#                  4 - T h u r s d a y
# =============================================================================

label s00300:
    
    $ save_name = "Thursday"
    $ music_set("chapter")

    with None
    scene black 

    centered "Thursday: Learning In Circles\n\n\n"
    
#   --------------------------------------------------------------------------------

    $ music_set("intro slow")
    
    with None
    scene boyroom with fade
    "A new morning again, it seems. The world is still out there."
    "It's Thursday, and if things keep on getting worse with this pace, one morning there might not be any world outside my windows anymore."
    "One morning, I might even not wake up anymore."
    "What shall I do? Skip school? Would that help?"
    "Sitting at home won't. Let's go, we can maybe meet Lara and try to discuss things."
    
    with None
    scene park01_day
    with dissolve

    "I'm so busy extinguishing fires and improvising that I can't do any proper planning."
    "Maybe that's the {i}Shadows{/i}' strategy, who knows? Keeping the {i}Guardian{/i} busy so she does not think too far ahead."
    "Well, it's sure worked so far."
    "I'm wondering if there is any logical reason why I've managed to save everybody's neck so far. Including my own."
    "As if whoever is behind the {i}Shadows{/i} wasn't yet fully commited to attacking. I'm sure it would be easy for them to get an unexperienced, untrained {i}Guardian{/i} out of the way."
    "Are they just making time?"

    with None
    scene park02_day
    with dissolve

    "I must get organized. Let's concentrate on finding a solution here, or else I'll be stuck playing the {i}Guardian{/i}'s role forever."
    "Or until they beat me..."

    $ music_set("happy")
    
    with None
    scene yard_2
    with dissolve

    i "... and besides, who's been hiding with that girl yesterday?"
    d "That's not- it wasn't- how can you...!"
    with hpunch

    i "Oops, ouch!"
    "Oh dear, what did I walk into here? Or actually, what walked into me?"
    show iyona
    
    p "Ah, er, I didn't want to get into the way."
    i "Oh, don't worry. Sorry for running you over."

    "Is this a chance to find out more about Iyona? Should I try to find out more about what she thinks?"
    "She didn't make a good impression on my alter ego yesterday, but..."
    i "Let's walk to the classroom?"
    p "Sure."

    hide iyona
    p "What was that thing you said about Dan? About yesterday?"
    i "I don't want to talk about it."
    p "Okay, fair enough."
    
    with None
    scene yard_1
    with dissolve
    
    i "I haven't been feeling like myself since yesterday."
    p "Because of Dan?"
    i "Yes... no! No, that's not it! It's something else."
    i "I feel disoriented. You know, I had like a blackout yesterday. A bit like..."
    "Her voice trails off."
    "Luckily she's started telling me. I have to find out how much she knows, and if she can be trusted."
    "But I do wonder a little why she started telling me."
    i "I wonder why am I telling you all this."
    "It's odd to hear this from a remote acquaintance. We're not close friends or anything like that..."
    i "Because we're not really close friends or anything."
    "This is scary, she's nearly repeating my thoughts!"
    i "And, you know-"
    p "Yes. This situation is scary."
    i "No, that's not what I wanted to say."
    p "Oh."
    
    show iyona
    "She's looking at me in a peculiar way."
    i "You know, you're weird."
    
    hide iyona    
    "Great, full points to me for interrupting her train of thoughts. I could kick myself."
   
    with None
    scene corridor_1
    with dissolve
   
    i "Anyway, that girl who was with Dan yesterday... she seemed familiar. And yet I'm sure I've never seen her before!"
    p "In the gym, you mean?"
    
    show iyona
    "She stopped dead in her tracks - did I say something wrong?"
    i "How do you know?"
    p "What?"
    i "How did you know it happened in the gym? You weren't there, were you?"
    p "Yes, I mean, no, of course I wasn't."
    "It seems I messed up. What do I tell her now? That I was there and she didn't notice me?"
    i "You've heard it from that girl, I guess?"
    p "Eh...? Oh, yes, exactly, that's it. Yes. She kind of told me something."
    i "..."
    "Argh, hopefully that did it."
    i "So is she your girlfirend?"
    p "What? Er, no, not really."
    "Although she is definitely very close to me. Nice personal joke, haha."
    i "So Dan's been harrassing her?"
    p "What?! No, definitely not. Not that I know of."
    p "But, well, gotta run, Matt's waiting to copy my homework... see you."
    i "Sure..."
    
    with None
    scene corridor_2
    with dissolve

    "Phew, I made it out of that one..."

label s00310:
    
    with None
    scene classroom 
    show matt at pos_l
    show aina 
    show lara at pos_r
    with dissolve

    a "... you are {i}painting{/i} the garage today?"
    m "Yes, and what's so weird about that?"
    a "But why would anyone need to do such a thing?"
    l "So that the walls look nicer?"
    a "Ah, didn't think of that one!"
    m "Don't know... I guess my old man needed an excuse to talk to me from father to son."

    show aina smiling
    a "Good thinking!"
    show aina 

    p "Hi everyone! Nice to see you're back, Lara."
    show lara smiling at pos_r
    l "Thanks."
    show lara at pos_r
    p "Planning the learning circle for today?"
    a "Well, I'd rather say it looks like we're collecting excuses for not coming."
    m "Like I said, we need to repaint the garage."
    l "I'm going out of town, on a big shopping tour with my parents."
    
#   ----------------------------------- Player participates in learning circle -----
    if Lcircle == True:
        a "Yep, so it looks like it's just the two of us today, %(player_name)s."
        "So maybe it was a good decision to join after all. This will actually give me the chance to have a few minutes with Aina."
        m "Hold it, hold it - I didn't say I'm not coming. I'll just have to leave a bit earlier than planned."
#   --------------------------- Player does not participate in learning circle -----
    else:
        p "I see... so the learning circle will not take place after all."
        show aina quiet
        a "What a pity... now my mother's cake is all baked and waiting."
        m "Don't worry, I'll just have to stop a bit earlier than planned. The offer for my place is still valid."
        show aina 
        a "Okay, great! I might even give you a hand with the painting."
#   --------------------------------------------------------------------------------

    l "You'd better start the studying early, otherwise Matt will pull out exactly when you get to the hardest part."
    m "Yeah, well, I'll do that anyway, regardless how early we start."
    show lara smiling at pos_r   
    a "Right."
    $ renpy.sound.play('sounds/bell.ogg', channel=2, fadeout=0)
    show lara at pos_r
    l "Pity, time to sit down!"
    hide lara
    m "Physics, yay! Lara's favourite!"
    hide matt
    a "Right...!"
    hide aina
    
    $ music_set("bridge")

    "And here we go again."
    "Honestly, school is boring enough as is... but with {i}Shadows{/i} breathing down your neck it's hell."
    "How can I concentrate on physics with all these problems in the back of my mind?"

    with None
    scene white
    with dissolve

    with None
    scene classroom 
    with dissolve

    "Luckily the day is nearly over, this was a long one."
    "And now I'm facing the decision whether to spend the evening doing homework or if I should concentrate more on saving the world."
    "Somehow, neither of the two is really appealing."

    $ renpy.sound.play('sounds/bell.ogg', channel=2, fadeout=0)
    "At last! Off we go!"

    $ music_set("happy")
    show matt at pos_l
    m "Hold it right there! You sure didn't lose any time, eh?"
    p "Talking in riddles again?"
    m "Pretending, eh? That's my man!"

    show lara at pos_r
    l "Oh, we are just curious."
    show aina
    a "{i}Very{/i} curious."
    l "What's her name?"
    a "Is she from this school?"
    m "And how did you meet her?"
    
    p "..."
    p "I give up. No clue what you people are talking about."
    l "Well, I had a quick chat with Iyona earlier-"
    m "That's the nice girl, you remember?"
    a "No, the {i}annoying{/i} one."
    show lara smiling at pos_r
    l "Oh, it's impossible to discuss anything with both of you!"
    "Maybe I should sneak out while they're not paying attention..."

    show lara at pos_r
    l "But honestly, is it true that you already found a girlfriend here?"
    m "It didn't even take you a week! How did you do that?"
    a "And who is she?"
    "It's dawning on me... what on earth did Iyona tell them? And why?"
    
    l "Iyona and I agree we're talking about the same person. Her description fit perfectly."
    a "What, you've seen her?"

    show lara quiet at pos_r
    l "Well, on Tuesday she kind of... bumped into me. And I had the impression she was with... %(player_name)s..."
    "Lara's voice is trailing off. Nobody is noticing, but I think she just realized she said too much."
    "After all, she had promised to my {i}girlfriend{/i} that their meeting would remain a secret."
    
    m "Really? You've seen her? What's she like?"
    a "Do we know her?"
    l "I... I have seen her, but don't know her name."
    a "So, %(player_name)s - what's the deal?"
    m "On Tuesday? How fast can you be?"
    show lara at pos_r
    
    "Oh Lara, why didn't you keep your mouth shut..."
    "But then again, this whole hullabaloo wouldn't have started if I'd been more careful when talking to Iyona."
    "Argh. It seems I'll have some work talking myself out of this."

label s00320:
    
    with None
    scene boyroom with fade
#   ----------------------------------- Player participates in learning circle -----
    if Lcircle == True:
        "What a great idea to set up a learning circle...!"
        "It's been ages since we've unpacked our bags and sat down."
        "So much to do still... and no chance to get away from this before it's done."
#   --------------------------- Player does not participate in learning circle -----
    else:
        "Learning circle or not, I'm still stuck with my homework."
        "And with my mother around, homework is first priority. Saving the world comes in a close second."
        "Whoever thinks {i}Shadows{/i} are scary hasn't met my mother yet."
#   --------------------------------------------------------------------------------
    "Mental note to myself: If you are ever looking for a {i}Guardian{/i}, make sure she doesn't have too much homework."

    "..."
    "It feels weird looking at such simple things as pencils and erasers and realizing that, one day, they might not exist anymore."
    "Time is passing slowly. I'm trying to concentrate, but my mind keeps on drifting to the more urgent issues at hand."
    "It's probably a great thing to be able to calculate how to cut a part of a sphere with a plane."
    "But what will mathematics do to help us if the {i}Shadows{/i} continue attacking?"
    "I'm just one person and can't fight them all off. I don't even know how to!"
    "And I {i}know{/i} the situation is worsening. That's either because I've become more sensible to things, or..."
    "More likely, because of the {i}Catalyst{/i}. I'm definitely noticing more things than ever before."
    "Colors around me are more vivid, somehow deeper, with the light behaving in a strange way."
    "And I've started noticing a tingling sensation, as if moving through some weird electric field."
    "No, that's not it... it's more like swimming in a lake and crossing pockets of warm and cold water. I can {i}feel{/i} my movement by that. And even... other people's movements. I think."
 
#   ----------------------------------- Player participates in learning circle -----
    if Lcircle == True:
        a "No, that's wrong!"
        p "What? Which part?"
        a "See, this formula here is wrong."
        p "Why?"
        m "We're calculating in three dimensions, remember?"
        "I'm putting my pen down and rubbing my eyes."
        p "I think I understand what you mean... but I'm close to giving up."
        a "You know, I think it's time for us to have a break and destroy my mother's cake!"
        m "Very good idea!"
        a "I'll fetch it, %(player_name)s's mother had put it to the fridge before she left."
        $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
        m "Hey, careful with that door! You blew my papers all over the place with that wind of yours!"
        a "Sorry!"
#   --------------------------- Player does not participate in learning circle -----
    else:
        "I'm putting my pen down and rubbing my eyes."
        "This is so tiring... By the time I'm finished, the {i}Shadows{/i} will be able to scoop me up with a teaspoon."
        $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
        "Mother" '"How about some cake for my dedicated student?"'
        p "Hey, careful with that door! You blew my papers all over the place with that wind of yours!"
#   --------------------------------------------------------------------------------

    "Wind...?"
    "That's actually true... and I think I just understood something."
    "Opening or closing a door makes the air move."
    "And even a person's movement is sufficient to cause an ever-so-slight movement of air in the room."
    "And that is what I'm feeling now, just on a different level."
    "Something tells me that just a short while ago {i}Shadows{/i} entered this world, and are now heading somewhere."
    "It's weird being able to feel such a thing..."
    "What's even more weird is that by now I'm sure the {i}Shadows{/i} are always appearing in one specific location."
    "Then they move around, instead of appearing exactly where they need to go."
    "As if they had no choice and were forced to appear in a specific place. Which would explain why I bumped into them so often."
    "But... I also do remember what Iyona's voice had said in the gym..."

    with None
    scene sepia
    with dissolve
    
    with None
    scene gym1
    show sepia
    with dissolve 

    i "We are too weak to roam by ourselves."
    "I remember that as if it had been yesterday... well, okay, it {i}was{/i} yesterday."

    with None
    scene sepia
    with dissolve

    with None
    scene boyroom
    with dissolve

    "Is that why the {i}Shadows{/i} try to find people they can use?"
    "And not just anyone will do. They did not go after the bum in the park, after all... and the {i}Shadows{/i} who caught Dan and Iyona weren't very strong either."
    p "I don't understand! It's too much! This is all so frustrating!"

#   ----------------------------------- Player participates in learning circle -----
    if Lcircle == True:
        show matt at pos_l
        m "Hey, relax. We'll find the solution."
        p "What?"
        m "We'll get the homework finished in time, don't worry. It's due only next week, remember?"
        p "The homework...? Oh, yeah, right!"
        m "Man, you're weird."
        $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
        show aina at center
        a "Cake operation ready to start!"
        m "Actually, I just realized I'll have to leave. Could you bring me a piece to school tomorrow?"
        a "You're right, it's pretty late actually... I should be going soon, too."
        "That's a good idea - I wouldn't want having them around when the {i}Shadows{/i} show up."
        p "Then let's call it a day. I think we've done more than enough."
        a "Not really, but it was a start. Well, then let's pack some cake up for Matt so his father can enjoy it, too."
        show matt smiling at pos_l
        m "Thanks!"
        hide aina
        hide matt
        "It's impolite sneaking out, but..."
#   --------------------------- Player does not participate in learning circle -----
    else:
        $ renpy.sound.play('sounds/doorhand.ogg', channel=2, fadeout=0)
        "Mother" '"The cake is waiting in the kitchen, dear. I will be going now, see you later!"'
        p "Okay, thanks!"
#   --------------------------------------------------------------------------------

    "The {i}Shadows{/i} are getting closer, moving with a constant pace."
    "It's unlikely they would roam around for fun. They're up to something."
    "If they are searching for somebody in this area, it could be me they're after. But are they able to track down people?"
    "They did manage to track down that woman who gave me the earring..."
    "Maybe I should go and try to intercept them. Either way, they will try to harm somebody, and currently it is my job to prevent them from doing so."

label s00330:
    
    with None
    scene park01_night
    with dissolve

    "I'm walking away from home now. If my assumption is right, the {i}Shadows{/i} should follow my trail, but..."
    "It seems they are still on their course... I can feel them moving in a straight line."
    "Farther away now. Could someone else be their target?"
    "That's strange... in a city full of people, the {i}Shadows{/i} roam around and are actually picking out specific individuals."
    "How do they know whom to target?"
    "First me. Then Lara. Then Iyona. And Dan too, if only because he happend to be there by bad luck."
    "..."
    "Now, wait a moment!"
    "That's a bit too much of a coincidence. The only targets are people I know? Odd." 
    "It's as if the {i}Shadows{/i} were follwing a trail..."
    "... my trail!"
    "Could they have guessed what happened? Do they know about the {i}Catalyst{/i}? Do they know what a {i}Guardian{/i} is?"
    
    p "Yes. Yes, they do."

    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "My people must be warned that this world is already under attack."
    "No doubt. She said it. {i}This{/i} world."

    with None
    scene sepia
    with dissolve

    with None
    scene park01_night
    with dissolve

    "By her words, I should have realized this is not the first time that {i}Shadows{/i} appear."
    "Why else would anyone have known that this world needs a {i}Guardian{/i}? This has happened before."
    "The {i}Shadows{/i}, or whoever is sending them, know exactly what is happening. After all, they did try to prevent the woman from finding a {i}Guardian{/i}."
    "And if people in my surroundings are being pulled into this mess, it is because they know what I know."
    "They know what I am supposed to do. They try to follow my steps."

    $ music_set("scary")
    "I am looking for a {i}Guardian{/i}. Every girl I'm in contact with becomes a potential threat to them."
    "..."
    "How stupid could I be! I'm pulling everybody in! Why didn't I think of that before!"
    "Lara is out of town. Matt is a guy, let's assume the {i}Shadows{/i} realized that. Which leaves..."

    with None
    scene rushing_night
    with dissolve

    p "Aina!"
    "pant... pant..."
    "No doubt about it... wherever she is... I just have to go where the trail of the {i}Shadows{/i} is leading me..."
    p "Transformation! Now!"

    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene rushing_night
    show magicbox
    with dissolve

    "Wow! It worked! Neat!"
    "And now let's get to Aina, quickly..."
    "What..?"

    with None
    scene park02_night 
    show aina
    show magicbox
    with dissolve
    
    p "Aina!"
    "What- what is she doing here, of all places?"
    "Of course - going home after the learning circle!"
    a "Yes?"
    p "Oh, I- I thought..."
    "I acted without thinking. Smart move. What was I going to do here?"
    "Where are the {i}Shadows{/i}? Was I wrong?"
    "Well, why not, after all."
    "It's possible that the {i}Shadows{/i} are after somebody else. And since they are headed this way, it might be safer if I stick around."
    a "Do I know you?"
    p "Huh?"
    "Of course, the transformation! Heavens, I'm really not thinking straight today."
    p "Ah, eh, well, no, not directly..."
    a "But you know my name...?"
    "Quick - what am I doing here? Collecting signatures to save the whales? Selling magazine subscriptions? Wrong door?"
    a "Well, when you've made up your mind let me know. Now, if you'd excuse me..."
    hide aina
    "I'm feeling slightly sheepish, but then again-"
    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

    with None
    show shadow
    show shadow2 at pos_r
    show magicbox 
    with dissolve

    p "Ah! Now that scared me... no way of getting used to this!"
    a "What... what are these things?"
    p "That's of no interest to you. Run!"
    a "And who are {i}you{/i} to tell me that?"
    "I have to admit she's very brave to treat me with questions while two {i}Shadows{/i} are standing right in front of her."
    p "Let's postpone the introduction, now {i}get away from them{/i}!"
    a "And why would you be in a position to tell me what to do?"
    "Heavens, is she really that brave or just plain stupid...?"
    p "Well, suit yourself!"
    p "{i}Heart-Shaped Bursts of Gold!{/i}"

    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

    with None
    scene heart
    with dissolve
    $ renpy.pause(delay=0.3)

    with None
    scene park02_night
    show shadow2
    show magicbox 
    with dissolve    
    
    a "...!"
    "One retreated... or got destroyed, not that I know."
    "And, by definition, the stronger one remained, right?"
    "Something tells me I won't be strong enough for a second round of magical attacks."
    "Shall I risk it?"
    a "Okay, so who is the good one and who is the bad one?"
    p "Your guess, and {i}now get out of the way{/i}!"
    a "Well, thanks for helping-"
    p "{i}Heart-Shaped... Bursts... of Gold!!!{/i}"
    
    $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)    

    with None
    scene heart
    with dissolve

    $ renpy.pause(delay=0.3)

    with None
    scene black with fade
    
    $ music_set("waiting")
    
    "Ouch... this was too much...."
    "Hopefully I managed..."
    "I can't just die yet, there's a whole world to save..."
    "Can't..."

    $ music_set("slow")

    with None
    scene park02_night
    show aina quiet
    show magicbox
    with dissolve

    a "Well, you had me scared there for a second."
    "Yeah, right... want to try how it felt on this side?"
    p "How long was I...?"
    a "Just a short while. I didn't even get around to thinking what I should do. Like calling an ambulance or something."

    with None
    scene park02_night
    show aina 
    show magicbox


    "Good. Very good."
    p "So much the better. Not that it matters much, but I'd prefer that this encounter remained a secret."
    a "And who are you to ask me that?"
    "...!"

    with None
    scene park02_night
    show aina smiling
    show magicbox


    $ music_set("bridge")
   
    a "No worries. I'd say since you saved me you're to be trusted."
    a "I mean, assuming they {i}were{/i} the bad guys."
    p "Well, then that's a relief."

    with None
    scene park02_night
    show aina 
    show magicbox


    a "Can you tell me what this was all about? Did I really see those... things?"
    a "I mean, what were they?"
    p "That's a long story... too long for an evening in the park. We call them {i}Shadows{/i}. Just stay clear of them if you can."
    a "Gee, I wonder if I could have figured that out by myself."
    "Why does she have to be so {i}annoying{/i}?"

    with None
    scene park02_night
    show aina smiling
    show magicbox

    
    a "Don't make such a face, okay? It'll get you wrinkles and spoil your chances with the guys."
    "Oh yeah, {i}that{/i} as well!"
    "Time to transform back before we start talking girl stuff here."

    with None
    scene park02_night
    show aina 
    show magicbox


    p "Well, see you around... no, what am I saying... hopefully not..."
    a "Now, isn't that a cheerful person!"

    $ music_set("waiting")

    with None
    scene park02_night
    show aina smiling
    show magicbox

        
    a "Just kidding. Bye!"
    p "... bye."

    with None
    scene black with fade

#   ----------------------------------- Player participated in learning circle -----
    if Lcircle == True:
        a "But despite all this action I still haven't found out where %(player_name)s disappeared to."
        a "How impolite can you be to just disappear like that?"
        a "And what am I going to tell his mother...?"
#   ---------------------------- Player did not participate in learning circle -----
    else:
        a "Weird - that girl perfectly fits the description Lara gave me... couldn't that have been %(player_name)s's girlfriend by any chance...?"
#   --------------------------------------------------------------------------------

    jump s00400    


# =============================================================================
#                  5 - F r i d a y
# =============================================================================

label s00400:
    
    $ save_name = "Friday"
    $ music_set("chapter")

    with None
    scene black 

    centered "Friday: Tomorrow is another day\n\n\n"
    
#   --------------------------------------------------------------------------------

    $ music_set("intro slow")

    with None
    scene yard_2
    with fade

    "It's Friday already. Still nothing new."
    "Every evening I drop into bed half dead, and every morning I curse myself for having lost precious time."
    "This week's events have been taxing me too much. How can I realistically expect to find a solution if I fall asleep as soon as I'm home?"
    "On Monday my world was turned upside down, and by now the only positive thing left is that my world still exists. But how much longer?"
    "The {i}Shadows{/i} seem to have incredible powers. Can they really... possess people, like they did with Dan and Iyona?"
    "And I don't know anything about them. Even if I could fight them, it would be of no use. Even if I knew how, I couldn't track down and fight every single one of them."
    "This is just so frustrating!"
    "And scary, too..."

    with None
    scene yard_1 
    show aina 
    show lara at pos_r
    with dissolve

    a "Good morning!"
    l "Hiya!"
    p "Oh, good morning... and me who was afraid of being late for school. What are you all still doing outside?"

    show matt at pos_l

    m "Man, sometimes you're really scary. Don't tell me you've got books in that backpack of yours."
    p "What do you mean? Of course there's my books. What else would there be?"
    m "See, I told you girls. He's hopeless. One of these days he'll forget his head."
    p "Okay, point taken. I'm a loser. Fine. Now, would you mind updating me?"
    a "You forgot..."
    
    show aina smiling
    show lara smiling at pos_r

    l "... the orienteering excursion."
    p "Ah, yes, I must have forgotten..."
    "Actually, that's not it at all. I didn't actually {i}forget{/i}..."
    "It's more like I didn't really care. If everybody else knew our world is doomed, would {i}they{/i} care about school excursions?"

    show aina
    show lara at pos_r

    "All in all, I'm amazed that I've managed to keep up the appearance so far."
    "I'm going through the daily motions with a ten-ton weight dangling above my head."
    "What I'd like to do most right now is drop everything I'm doing and run around screaming."
    "I'd have skipped school already a few days back if I thought it would help matters."
    "There you have it. So much about me caring for some useless excursion."

    m "%(player_name)s, are you all right?"
    p "What? Sorry?"
    m "..."
    l "I understand him, I'm not too keen on this either."
    m "Right. So what about something to cheer everybody up? I've gotten some free Cinema tickets from my father."
    a "Don't tell me it's your reward for painting that obnoxious garage of yours?"

    show matt smiling at pos_l
    m "My father got them, some business gift. But my parents don't have time this weekend."
    l "So you're treating us?"
    show matt at pos_l
    m "Yep, all five- four of us."
    "There we go again... he's probably hoping to get Iyona to join as well."
    a "Great! So when do we meet?"
    m "Sunday at 5, if that's okay for everybody? In the park in front of the school. Then we walk downtown together."
    l "Fine for me... but to which movie are we going?"
    m "Surprise!"
    a "Muscle-ridden heroes rescuing the world from alien invaders?"
    show lara smiling at pos_r
    p "Now that wouldn't be bad!"
    
    l "I'm sure you'd like that. Well, see you in the park!"
    hide lara
    a "Right. Later!"
    hide aina

    "I wonder... was Lara hinting at something with that comment?"
    m "No."
    p "'No' what? How would you know what I've just been thinking?"
    show matt smiling at pos_l
    m "Easy. It's painted right on your face in letters ten feet tall."
    p "Really."
    m "It says: 'Do I have a chance with those girls?'"
    p "Oh you...! Get lost, will you?"

    $ music_set("happy")

    with None
    scene park02_day
    with fade

    "Orienteering in the park... oh well. I've done worse."
    "But nowadays I feel uneasy in that park, even during daylight."
    "Actually, I feel uneasy everywhere, even at home. Last night was terrible."
    "I fell asleep right away and saw nightmares all the way through."
    "In my sleep I started screaming, but luckily woke up quickly enough to prevent anybody from noticing."
    "My normal self would have been embarrassed."
    "But I guess my present self couldn't care less."

    with None
    scene park01_day
    with dissolve

    "I have changed a lot in these days."
    "All because I have to make a decision."
    "And it has to be here and now. Today. It sounds crazy, but something tells me time is running out."
    "Or maybe I'm just afraid I won't manage to hold the {i}Shadows{/i} back anymore. After all, I've only been improvising, and whoever wants me out of the way will not be scared off by that in the long run."
    "Long run... I wonder how long that is."
    "We need a {i}Guardian{/i} now. Who will it be?"

    with None
    scene sepia
    with dissolve

    with None
    scene black
    show lara static
    show sepia
    with dissolve
    
    "Lara? She sure knows a lot more than your average person."
    "She was the first one they aimed at. Somebody knew she would be dangerous for them. Therefore the {i}Shadows{/i} are after her."
    "She also instantly believed what she saw, and that's one big plus for her. She will not need any convincing to believe what is happening."
    "But... is she strong enough? Strong enough to believe in herself, and strong enough to withstand the physical impact of the {i}Catalyst?{/i}"
    "Can she fight?"

    with None
    scene sepia
    with dissolve

    with None
    scene black
    show aina static
    show sepia
    with dissolve

    "Or Aina. She's tough all right. The show she pulled off yesterday was impressive, and if there's one thing she doesn't lack, it's self-confidence."
    "She was the only one so far attacked by two {i}Shadows{/i} at once. Somebody knew she would be dangerous for them. That's why the {i}Shadows{/i} are after her."
    "She has seen the {i}Shadows{/i}, too, and it looked as if she believed what she saw."
    "But can I risk telling her? Will she believe me? Or, more precisely, will she believe me {i}quickly enough{/i}?"

    with None
    scene sepia
    with dissolve

    with None
    scene black
    show iyona
    show sepia
    with dissolve

    "And then... Iyona? Well, I don't know. She {i}was{/i} the only girl to experience what the {i}Shadows{/i} are really capable of. But did she really notice? She might be skilled in school politics, but does that make her a good choice?"
    "Matt thinks highly of her. Is that an argument?"

    with None
    scene sepia
    with dissolve

label s04001:

    with None
    scene park01_day
    with dissolve
    
    "And then..."
    "... there's me."
    "Yes, that's right. Bottom line, if I cannot vouch for anybody, then it's up to me."
    "At least I know the situation, and I'm starting to learn."
    "It seems the {i}Catalyst{/i} has nothing against me using it. So far."
    "Regardless, I'm afraid whatever choice I make will be too little, too late."
    "I just don't know what to do!"

    "Voice" '"Ready for the orienteering competition?"'
    "Other voice" '"Everyone, build up your teams of two. Now!"'

    show matt
    m "Yay! My chance to get at Iyona - now or never!"
    p "What...?" 
    m "Dan's apparently searching for his maps he lost somewhere on the way, so I'm going!"
    hide matt

    "He's gone... what a speed."
    "But wait...! This is the chance to talk to one of the girls. So let's decide quickly now! Whom shall I try to team up with?"

    $ music_set("slow")

    menu:
        
        "Lara":
            jump s04100
        "Aina":
            jump s04110
        "Iyona":
            jump s04120
        "Nobody":
            jump s04130

#   --------------------------------------------------------------------------------

label s04100:
    $ guardian = "Lara"
    "Lara it is, then."

    show lara
    p "Hi Lara, still free to build up a team?"
    l "Absolutely!"
    p "Excellent. Are you as excited about this orienteering excursion as I am?"
    l "I'm not really sure what the reasons behind your negative attitudes are..."
    p "Sorry, I didn't mean to spread any bad mood here."
    l "... but I'm sure you will have a good reason."
    show lara smiling

    p "Oh. Er. Well, thanks."
    show lara 
    
    "Voice" '"Everybody set up? You all have your papers?"'
    "Other voice" '"Then let\'s go! May the best win!"'

    l "Shall we?"
    p "Well, I guess so..."
    
    with None
    scene park02_day
    with dissolve

    l "Let's have a look at the map... can't be too hard."
    "Well, if I don't manage to talk to her now, I might just as well give up."
    "Let's give it a try, and if she thinks I'm a weirdo, well, so what."
    p "Lara..."
    show lara
    l "Yes?"
    p "I need to talk to you about... something."
    "This is not working. Speak it out, come on!"
    show lara smiling 
    l "I guessed as much."
    show lara

    p "You what?"
    l "You were behaving a bit strangely, so I figured something's cooking."
    p "In the Devil's kitchen, yes."
    l "So?"
    p "You don't mind interrupting the orienteering?"
    l "Not if you give me a good reason."
    p "Fair enough."
    "Where should I start?"
    p "Okay. Did Aina tell you anything about yesterday?"
    l "Yesterday? No, why?"
    "Good. Aina kept her promise."
    "On the other hand, Lara would probably have believed Aina more than me..."
    l "Why, anything special that happened there?"
    p "In a way. Let's try another approach: I know about your strange encounter at school in the nurse's office."
    show lara quiet
    l "..."
    p "The {i}Shadows{/i}. I know because-"
    l "Your girlfriend told you."
    p "I beg your pardon?"
    l "The girl who came to my help. Iyona met her too, and claims she is your girlfriend."
    l "Well, anyway, she helped me out. At least I think she did. So I guess I should be thankful."
    "Right, and now from where should I pick up the conversation?"
    p "Whatever you people think, she is not my girlfriend."  
    l "She is not?"
    p "No, she is not. I don't know who came up with that weird idea."
    show lara 
    l "I'm glad."
    p "Why would you be glad?"
    l "Because... just thinking aloud. But you know her well?"
    "I just can't tell Lara all the truth. Not yet. It would sound so silly, and if Lara doesn't trust me here I'll be stuck without her help."
    p "Yes, in a way."
    l "So what's her name?"
    p "..."
    p "Er, now that you ask me... no clue actually. Is it that important?"
    l "Well..."
    l "How do I know you're not just trying to make fun of me?"
    "Oh dear..."
    p "If you need proof, I think we can arrange a meeting with her."
    l "Right now, you mean?"
    p "Well..."
    "What should I say now? 'Hold on, I will fetch her, she will be here in a second?'"
    "Argh. First rule for a {i}Guardian{/i}: Don't lie. It gets you into tricky situations."
    p "... if you insist."
    l "Really? You would do it?"
    show lara smiling
    l "You know, that sounds so funny... as if you'd run off to hide behind a tree, transform into the superhero, and come right back."
    show lara 
    "You came dangerously close to the truth, Lara. If you only knew..."

#   -----------------------------------
    "Oops, wiping my forehead with a handkerchief was not a good idea. When I pulled it out of my pocket the earring went flying."
    hide lara
    l "Wait, I'll get it for you!"
    p "No, don't! Don't touch...!"
    show lara     
    l "There you are. Oh, what a weird thing! I could have sworn it just gave me a small electrical shock."
    l "Hey, what's the problem? You look pale."
    p "Nothing. It's nothing."
    l "It looks like an earring, by the way... is it yours?"
    show lara smiling
    l "Or your girlfriend's?"
    "Argh, I give up..."
    show lara 
    l "It really felt strange though. My hand is still prickling."
    "I know exactly what she means."
#   -----------------------------------

    l "Never mind, it just sounded a bit odd that you know somebody that well, but not her name. Well, then I guess she can't be your girlfriend after all."
    l "But go on, I'm listening."
    "Phew. Saved."
    p "I... she... we need your help."
    l "Because of these {i}Shadows{/i}."
    p "Yes. She has been keeping the {i}Shadows{/i} at bay so far, but for various reasons she will not be able to continue on her assignment."
    p "We desperately need somebody to replace her."
    l "..."
    l "You can't be telling me you want {i}me{/i} to help you out?"
    p "That's exactly the point. We need help. But nobody is pushing you if you don't agree."
    l "So you must be in a tight spot."
    p "Yes, quite. How did you guess?"
    l "Did you ever think how weird this would sound to me? Asking for my help in such a strange matter? I mean - why me, of all people?"
    "Now that is {i}exactly{/i} what I've been asking myself all this time. Life repeats itself, it seems."
    p "We need somebody quickly, and I don't see a whole lot of options right now."
    l "And I guess official help is out of the question?"
    p "Let's put it this way: If you hadn't encountered the {i}Shadows{/i}, would you have believed me?"
    l "..."
    l "No. No, I guess not."
    "Now it's out in the open. It didn't feel all that bad. Maybe because Lara was already prepared for some weird news."
    l "Assuming I said yes. What would we need to do?"
    "Now there's a good question."
    p "Right. We need a break from school so that we can get organized. I hope we're still on time."
    p "Thankfully the weekend is coming. I'll think things over tonight, and tomorrow we should meet and discuss."
    
    show lara smiling
    l "Where do we meet? Some inconspicuous place?"
    show lara 
    p "That's a good guess. My parents are gone tomorrow during the afternoon, so my place would be a good option."
    l "Good. I'm very curious to hear more."
    p "I don't think I'd be. Actually, I'd prefer not having to do this. I hope you won't be taken aback by what you find out."
    l "If you believe I can do it, I will."
    "Hopefully she is right."
    
    jump s04200    


#   --------------------------------------------------------------------------------

label s04110:
    $ guardian = "Aina"
    "So be it, let's talk to Aina."
    
    show aina
    p "Hello, Aina!"
    a "Yo!"
    p "... 'yo'?"
    show aina smiling 
    a "Just trying to keep up with the times, I guess."
    show aina 
    p "Right. So that our parents wonder about the weird customs of youth nowadays."
    a "Exactly!"

    "Voice" '"Everybody set up? You all have your papers?"'
    "Other voice" '"Then let\'s go! May the best win!"'

    a "Shall we?"
    p "Well, I guess so..."

    with None
    scene park02_day
    with dissolve

    a "So, do you have a map or shall we use mine?"
    "Well, if I don't manage to talk to her now, I might just as well give up."
    "Let's give it a try, and if she thinks I'm a weirdo, well, so what."
    p "Aina..."
    show aina
    a "Yes?"
    p "I need to talk to you about... something."
    "This is not working. Put some effort into it!"
    show aina smiling 
    a "Sounds like you're fighting with yourself. Okay, spit it out, and then let's go."
    show aina

    p "Right."
    a "You're behaving a bit strangely lately. Is everybody that weird where you're from?"
    p "No, they were no match for me. That's why I left."
    a "Or why they threw you out."
    p "Can we forget the orienteering for a while and talk about something else? If you don't mind?"
    a "Give me a good reason. Lost your wallet? Or your common sense?"
    p "My patience."
    a "Whoa, sounds bad. Well, let's hear it!"
    "Where should I start?"
    p "Okay. Did Lara tell you anything about the day she... got ill?"
    a "No. No, not really."
    "Good. Lara kept her promise ."
    "On the other hand, Aina would probably have believed Lara more than me..."

    show aina quiet
    a "So what did you do to her?"
    p "What? Me? Nothing!"
    
    show aina winking
    a "Kidding!"
    show aina
    
    p "Okay... okay. Anyway: I know about your strange encounter in the park yesterday."
    show aina quiet
    a "..."
    p "The {i}Shadows{/i}. I know because-"
    a "Your girlfriend told you."
    p "I beg your pardon?"
    a "The girl who came to my help yesterday. Something was fishy, the way she matched Lara's description of that girl she had met."
    a "Apparently Iyona claims to have seen her too."

    p "Heavens, she is {i}not{/i} my girlfriend."  
    show aina 
    a "Say again?"
    p "She is not. I don't know who came up with that weird idea."
    a "There's always a grain of truth in every rumour."
    p "You'd have to search a long time for that grain."
    "I can't tell Aina the whole story just yet. To a no-nonsense person like her, I'd sound like a lunatic. And I need her to help me."

    a "What's her name, anyway?"
    p "..."
    p "Er, now that you ask me... no clue actually. Is it that important?"
    a "No, not really. Can't be important if you don't know it either."
    p "Right."
    "Phew, I got out of this discussion. Now, where was I...?"

#   -----------------------------------
    "Oops, wiping my forehead with a handkerchief was not a good idea. When I pulled it out of my pocket the earring went flying."
    hide aina
    a "What was that?"
    p "No, don't! Don't touch...!"
    show aina     
    a "There you are. Now I'd say that looked very much like an earring."
    a "What a strange shape. And it felt as if it was tingling in my hand... what is it made of?"
    a "Hey, what's the problem? You look pale."
    p "Nothing. It's nothing."
    a "And anyway, what are you doing with an earring?"
    show aina smiling
    a "Did I miss some cross-dressing competition?"
    show aina 
    
    "Argh, I give up..."
    "But to my embarrassment, I have to admit this is dangerously close to the truth."    
    a "It really felt strange though. My hand is still prickling."
    "I know exactly what she means."
#   -----------------------------------

    a "But anyway, since we've lost the chance to win the orienteering competition, tell me what you wanted."
    "Phew. Saved."
    p "I need your help."
    a "These {i}Shadows{/i} have been harrassing you, too?"
    p "Yes, in a way. That girl kept them at bay so far, but for various reasons she will not be able to continue on her assignment."
    p "We desperately need somebody to replace her."
    a "..."
    a "And now you want me to help you out."
    p "Yes. That's exactly the point. We need help. But nobody is pushing you if you don't agree."
    a "Goodness gracious, you must be desperate."
    p "Well, in a way. How did you guess?"
    a "Did you ever think how weird this would sound to me? Asking for my help in such a strange matter? I mean, get real!"
    "What a shame, I blew it. She's not buying it."
    "Besides, she's reacting {i}exactly{/i} the way I did. Not wanting to believe. Life repeats itself, it seems."
    p "What can I say... we need somebody quickly, and I don't see a whole lot of options right now."
    a "And nobody else is available, right? Muscle-ridden heroes, remember?"
    p "Let's put it this way: If you hadn't met the {i}Shadows{/i} yesterday, would you even be willing to continue talking to me by now?"
    a "I guess not."
    "Now it's out in the open. It didn't feel all that bad getting there, but it's a shame I didn't manage to convince her."
    a "Assuming I said yes. What would we need to do?"
    p "I beg your pardon?"
    
    show aina smiling
    p "You mean...?"
    show aina     
    
    a "Well, I can't just let you down, right? If you have the opinion it's worth fussing over, there must be something to it."
    "Now she managed to amaze me."
    p "Uhm."
    p "Yes. Right. We need a break from school so that we can organize things. I hope we're still on time."
    p "Thankfully the weekend is coming. I'll think it over tonight, and tomorrow we should meet and discuss things."
    
    show aina smiling
    a "And where do we meet?"
    show aina 
    p "My parents are gone tomorrow during the afternoon, so my place would be a good option."
    a "Good. I'm curious to see if you'll manage to get me interested."
    p "Actually, I'd prefer not having to do this. I hope you won't be taken aback by what you find out."
    
    show aina winking
    a "Don't worry, I'm tougher than you."
    show aina 
    "Hopefully she is right."

    jump s04200    
    
#   --------------------------------------------------------------------------------

label s04120:
    "Oh well. I will try my luck with Iyona."

    show iyona at pos_l
    show dan
    p "Hi, Iyona!"
    i "Hi. Looking for a team mate?"
    p "Yes, I guess so."
    d "Sorry, mate, this one's taken."
    p "I see."
    "I won't be able to talk to her with Dan around. That's too bad."
    "Then again, was I really expecting to send Iyona into the enemy's fangs?"
    "She lost to a {i}Shadow{/i} once. And she did not recall what had happened."
    "Which means it would have been difficult to explain the situation to her anyway."
    d "What's up with you guys today?"
    p "I beg your pardon?"
    d "Everyone wants to team up with Iyona, it seems."
    i "Oh, you know Matt, he's been after me ever since."
    d "And now %(player_name)s, too?"
    p "Hey, don't get any wrong ideas here!"
    "Before he gets overly excited I'll take my leave."
    p "See you..."

    with None
    scene park02_day
    with dissolve

    "Actually, I wasn't going to choose Iyona. Now I'm sure of that."

#   --------------------------------------------------------------------------------

label s04130:
    $ guardian = "None"
        
    "Honestly speaking, I'm afraid nobody is up to the task, really." 
    "Not to say that I'd be a good choice, either. But under these circumstances, what could I realistically expect?"
    "I can't assess and train somebody in saving the world during an orienteering competition."
    "Get all the knowledge across that I don't have in the first place. Sure, no sweat."
    "Something tells me it will be difficult to get another chance like this one."
    "If I'm not able to ask for help today, when will I?"
    "Probably I'm afraid of the consequences. Can I be asked to weigh up the life of one person against the life of everybody else? Especially if I don't know what the chances of success are?"
    "My decision is made."
    "Come what may, I will have to face it alone."

    show iyona

    i "Hello..."
    p "And what are you doing here?"
    i "What a warm welcome. You're not participating, it seems?"
    p "I wasn't really paying- I mean, no, probably not. Don't really feel like it."
    i "Me neither actually. It's only that our teachers will accept no excuse."
    i "That's why I wanted to ask you if you'd team up with me?"
    p "I thought Matt had already asked you?"
    i "Yes, well, he's not really my type."
    p "Dan?"
    i "Oh, spare me from that one!"
    "Great, I ran out of excuses, so now I'm stuck with her."
    p "Right, whatever. Dan's not going to mind?"
    i "Let him team up with Matt instead."
    p "Okay."
    "Wheee. Matt will be very happy about this."
    
    jump s04200
    
#   --------------------------------------------------------------------------------

label s04200:   

    $ music_set("bridge")

    with None
    scene black
    with fade
    
    with None
    scene boyroom
    with dissolve

    "Whatever happens from now on, at least I've come up with a decision."
    "It's just that I don't know if it was the right one."
    "Why do I have the feeling that there will be no second chance? That I will not have the possibility to think it over?"
    "Maybe because I realize things are picking up pace. There is preciously little time left."
    "Well, all I can do now is sleep it over. Saturday it's my turn to attack."

    with None
    scene boyroom_night
    with dissolve

    "With or without support, I will need to hold the {i}Shadows{/i} back just that one bit longer to be able to call for help."
    "That's a good point actually - let's not forget our main mission here."
    
    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "My people must be warned that this world is already under attack."
    "She also said something else."
    w "Those paths you cannot go. Only a {i}Guardian{/i} can."
    "And I am pretty sure I remember what she said about how to find the way."    
    w "The {i}Catalyst{/i} will... know the way to my people."

    with None
    scene sepia
    with dissolve
    
    with None
    scene boyroom_night 
    
#   ----------------------------------------------------------- Guardian found -----
    if guardian == "None":
        
        "I'm pretty sure I could go wherever I need to go. I am a {i}Guardian{/i}, after all."
#   ------------------------------------------------------- Guardian not found -----
    else:
        
        "With %(guardian)s's help, I'm pretty sure we can go wherever we need to go. Either me or her. We will both be {i}Guardians{/i}, after all."
#   --------------------------------------------------------------------------------   
    "The only thing left to find out is where to go in order to warn whom."
    "Piece of cake, huh? Where do we start?"
    "I need to do a little pre-thinking tonight, otherwise tomorrow I will waste the whole day trying to work it out."
    "If the {i}Catalyst{/i} knows the way to wherever the {i}Guardian{/i} needs to go, I don't think it will make sense to search the area for an exit."
    "Especially since I don't even know if there is any such thing as an exit. For all I know, this earring might just open up a way wherever it needs to."
    "Finding the way will be the first thing that needs to be tried. Tomorrow."
    "And now... good night..."

#   ------------------------------------------------------- Guardian not found -----
    if guardian == "None":
        
        jump s00499
#   --------------------------------------------------------------------------------   

    $ renpy.sound.play('sounds/ringtone.ogg', channel=2, fadeout=0)
    "Uh? What?"
    "That's my mobile phone..."
    $ renpy.sound.play('sounds/ringtone.ogg', channel=2, fadeout=0)
    "For once that I manage to fall asleep-"
 
    "Heavens, it's past midnight! Who can it be at this time?"
    "Let's answer before my parents wake up..."
    
    p "Matt, is that you calling me in the middle of the night? Iyona again?"
    
    if guardian == "Aina":    
        ph "Oh, hope I didn't wake you up?"
        p "... Aina?"
        a "Yes. Sorry to call this late. But since this is serious business I figured you wouldn't mind."
        p "Well, what can I say... you're right of course. So what's the matter?"
        a "I was wondering about tomorrow. Do I need anything? Should I prepare myself in any way?"
        "Good thinking, Aina. Seems you're more smart at this than I am."
        p "Let's see... I don't think we can prepare in any specific way. Most of all we need to do some thinking. Plan things a bit. And probably also try teaching you a few tricks."
        a "You mean bluffing and such...?"
        p "Hm? Oh, well, yes, I guess so..."
        a "Just kidding."
        p "Scared?"
        a "Hmm... maybe a bit."
        
        $ music_set("bridge")
            
        p "Well, you'd better be. I'm scared out of my wits here. Actually I think tonight I'll leave the lights on in my room." 
        "She's giggling... I wonder what's so funny about what I said. I was being {i}serious!{/i}"
        p "It's good you're there, Aina. I feel more reassured knowing somebody is on my side."
        a "But... what about that other girl of yours?"
        p "Oh, er... well... she's not really..."
        a "You mean she's of no real help? Is that why she'll quit?"
        "Goodness, if I had learned to be honest about everything right from the start, now I wouldn't be stuck in a corner making up all these stories!"
        a "Are you still there?"
        p "Yes. Er, the story is pretty complex. You see, she really can't do it. She's not good enough. She was dropped into it by accident and just tried her best."
        a "Well, it did look good enough to me. Don't you... don't you think it's a bit rude replacing her? I mean, she must have at least some kind of experience, having been through all this."
        p "Well-"
        a "Besides, who are you to decide that, if you don't mind me asking? Are you her manager or something?"    
        "No, wait. In a way she's right. I {i}have{/i} gathered some experience that Aina will not have. But I definitely don't think it's unfair handing this task over to her."
        "Why do I want Aina to help? If I know, I will also be able to answer her question."
        "Because I trust her. Because I think she will be able to see and understand things that I would not. But only time will tell if that's really true."
        "Time... time that we don't have, unfortunately."
        p "You're right. I see your point. But it was her proposal, really. I think you would be a good choice. If it doesn't work out, nothing is lost. But we can only know if we try."
        "At least I wish that was true."
        p "I'm in the same situation as her. I kind of stumbled into this and am trying to help out where I can. But I see that we need help."
        a "I see. I just didn't want to be rude. She seemed to be a nice person, even if I didn't have much of a chance to talk to her."
        "My alter ego thanks you for the compliment, Aina."
        p "But, er, we should get some sleep now. If there's one thing we need tomorrow, that's a fresh mind."
        a "Sure. I'll be there around half past eight."
        p "That's perfect. Ah, maybe take some school books along just so that your parents don't get suspicious."
        a "Thought of that already. For all they know, we're studying tomorrow."
        p "Excellent thinking. See you tomorrow then."

        $ music_set("waiting")
        a "Yep! Bye!"

    if guardian == "Lara":
        
        ph "Oh, uh, sorry... I thought you\'d still be up."
        p "... Lara?"
        l "S-sorry to call in like this, but I started growing restless. I hoped you wouldn't mind me calling, even though it is quite late..."
        p "Well, what can I say... of course you were right to call me. So what's the matter?"
        l "I was wondering... will I need anything tomorrow? I'm a bit unsure about this."
        "Good question, Lara. Seems you're more smart at this than I am."
        p "Let's see... I don't think we can prepare in any specific way. Most of all we need to do some thinking. Plan things a bit. And try teaching you something."
        l "What kind of... something?"
        p "Hm? Er, well, I guess we'll figure that out tomorrow."
        l "Sorry for asking weird questions."
        p "Don't apologize! I'm making this up as we go... so I'm a bit at a loss, too. Uh, are you scared?"
        l "A bit."
        
        $ music_set("bridge")
            
        p "Well, you'd better be. I'm scared out of my wits here. Actually I think tonight I'll leave the lights on in my room." 
        "She's giggling... I wonder what's so funny about what I said. I was being {i}serious!{/i}"
        p "It's good you're there, Lara. I feel more reassured knowing somebody is on my side."
        l "What about that... girlfriend of yours?"
        p "Oh, er... well... she's not really... of much help."
        l "You mean you broke up, and that's why she'll quit?"
        p "Huh?"
        "Goodness, if I had learned to be honest about everything right from the start, now I wouldn't be stuck in a corner making up all these stories!"
        l "%(player_name)s, are you still there?"
        p "Yes, yes. Uh, didn't I point out already she's not my girlfriend? It's not about that at all. She was dropped into this mess by accident and did what she could."
        l "She sure did, I was impressed. And despite that, you want to replace her? To me she looked very experienced, honestly."
        p "Well..."
        "In a way, Lara's right. I {i}have{/i} gathered some experience that nobody else has. But I definitely don't think it's unfair handing this task over to her."
        "Why do I want Lara to do it? If I know, I will also be able to answer her question."
        "Because I trust her. Because I think she will be able to see and understand things that I would not. But only time will tell if that's really true."
        "Time... time that we don't have, unfortunately."
        p "You're right. I see your point. But see, it was her proposal, really. I think you would be a very big help. If it doesn't work out, nothing is lost. But we can only know if we try."
        "At least I wish that was true."
        p "I'm in the same situation as her. I kind of stumbled into this and am trying to help out where I can. But I see that we're not managing."
        l "All right then. I just didn't want to be rude, rushing in to replace her or something... she appeared to be a nice person. From what I can tell."
        "My alter ego thanks you for the compliment, Lara."
        p "But, er, we should get some sleep now. If there's one thing we need tomorrow, that's a fresh mind."
        l "Agreed. Would that be around half past eight?"
        p "That's perfect. Ah, maybe take some school books along just so that your parents don't get suspicious."
        l "Actually, I made up a story already. That's not really like me, you know... but in this case I'm fine with it."
        p "Thank you, Lara. See you tomorrow then."

        $ music_set("waiting")

        l "Until then. Bye!"
    
    "So, did this call help in some way?"
    "Yes, it did. I feel more confident now. Two heads are better than one."
    "But now let's go back to happy dreamworld. There's enough time for nightmares tomorrow."

label s00499:
    
    with None
    scene black with fade
    jump s00500    




# =============================================================================
#                  6 - S a t u r d a y
# =============================================================================

label s00500:
    
    $ save_name = "Saturday"
    $ music_set("chapter")
    with None
    scene black 
    centered "Saturday: Early Worm Feeds the Bird\n\n\n"

#   --------------------------------------------------------------------------------
       
    $ music_set("waiting")
    with None
    scene black
    with dissolve
    
    "What time is it?"
    "And why did I wake up in the first place?"

    $ music_set("scary")    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)
    
    with None
    scene dreamscape_1
    with dissolve
    
    with None
    scene black
    with dissolve
    "No... not this early on a Saturday..."
    "Whenever the {i}Shadows{/i} move, my guts turn upside down."
    "I'm so {i}tired{/i} after a week of this!"
    "What's the time...?"
    
    with None
    scene boyroom_night
    with dissolve
    
    "Argh... it's four-thirty in the morning."
    "Don't they ever sleep wherever those weirdos come from?"
    "Well, since I'm too worried to go back to sleep I might just as well get up now."
        
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)
    
    with None
    scene dreamscape_1
    with dissolve
    
    $ renpy.pause(delay=0.3)
    
    with None
    scene boyroom_night
    with dissolve

    "Ouch!"
    "This is bad... my whole head is ringing."
    "Talking about pebbles causing ripples in a pond, this one feels as if the pebble was bigger than the pond itself."
    "It feels like the awakening of an ant hill... if that makes any sense."
    "And I think I should start feeling uncomfortable now."
    "The {i}Shadows{/i} are up to something. There's a lot of them moving this time. Not just one or two."
    
    with None
    scene sepia
    with dissolve

    with None
    scene clouds_tilted
    show fairy close
    show sepia
    with dissolve
    
    w "We did not expect Evil to arrive this soon. We were so wrong. There never... was time to find a {i}Guardian{/i} and train her."
    
    with None
    scene sepia
    with dissolve

    with None
    scene boyroom_night
    with dissolve

    "She was right about the lack of time it seems. This looks like showdown time to me."
    "I can feel more {i}Shadows{/i} appearing. Around the school and park area, I'm pretty sure."
    "Are they gathering or planning to spread out? Are they trying to attack when we least expect it?"
    "It's too few of them to represent a danger to the whole world... yet."
    "But enough of them already to hunt down whoever opposes them. Meaning either me or the girls. I think that's the obvious part."
    $ music_set("bridge")  
    
    "If the {i}Shadows{/i} are searching for me, I might just as well go meet them halfway to avoid having them ringing the doorbell here."
    "I might even try to find out where the {i}Shadows{/i} are coming from. They will not expect me to move this soon."

label s00502:

#   ------------------------------------------------------- Guardian not found -----
    if guardian == "None":

        menu:
            "What is the smartest move?"
    
            "Go after the {i}Shadows{/i} before they expect it.":
                 $ music_set("scary")    
                 "That would be a smart move. I should get going."
                 "Hopefully my parents won't notice if I slip out..."
                 jump s00504

            "Don't do anything hasty. Wait for tomorrow.":
                pass             

#   ----------------------------------------------------------- Guardian found -----
    else:
                
        "But what if they are after somebody else... what if they made up their minds who the real {i}Guardian{/i} might be...?"
        "Maybe I shouldn't run off blindly and leave %(guardian)s unprotected. Shouldn't my priority be to make her a {i}Guardian{/i}?"
        "But is it an option to run to %(guardian)s in the middle of the night?"
        "In the best case I'd just make a fool of myself in front of her parents. In the worst case I might lose the only small advantage I have against the {i}Shadows{/i} - the surprise factor."
        
        menu:
            "What is the smartest move?"
    
            "Go after the {i}Shadows{/i} before they expect it.":
                jump s00505
            "Find %(guardian)s before the {i}Shadows{/i} do.":
                "%(guardian)s lives quite a way off, but I think it's the best way."
                jump s00510
            "Don't do anything hasty. Wait for tomorrow.":
                pass        

#   -------------------------------------------------------------------------------- 

label s00503:
#   This section takes place if the player decides to wait for tomorrow, REGARDLESS of whether a Guardian was chosen or not.
    
    "Actually, that's not the worst of all options."
    

#   ----------------------------------------------------------- Guardian found -----
    if guardian <> "None":
        "Tomorrow will be the day of training for the real {i}Guardian,{/i} %(guardian)s."
        "Acting tonight would jeopardize that. If I get caught, nobody else will be able to take over. It's not good to act without any backup."
        "And if I rushed %(guardian)s into her new assignment now, she would not be prepared. She might fail. And then there would be no second chance."
#   ------------------------------------------------------- Guardian not found -----
    
    "Neither Lara nor Aina live in this part of town. They will therefore be safe from the {i}Shadows,{/i} since those beings seem to be confined to a specific area."
    "As long as I don't transform, they should not be able to find me, either."
    "It's probably better to keep a low profile and decide about the tactics tomorrow instead of rushing things." 
    "I'm not comfortable with this choice, but what are the options?"
    "Even if it's hard, let's try to..."
    with None
    scene black with fade
    $ music_set("scary")    
    "...sleep..."
    "..."

label s00504:
    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)
    
    with None
    scene dreamscape_1    
    show shadow at pos_l
    show shadow2 at pos_r
    with dissolve

    $ renpy.pause(delay=0.3)
    
    with None
    scene boyroom_night
    show shadow at pos_l
    show shadow2 at pos_r
    with dissolve

    "Oh no! They... found me! How did they...?"
    "The {i}Catalyst{/i}! Quick! Where is it?"
    "It is... behind the desk... the {i}Shadows{/i} are standing in the way..."

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)    
    with None
    scene dreamscape_1
    show shadow at pos_l
    show shadow2 at pos_r
    with dissolve 
    
    $ renpy.pause(delay=0.3)
    
    with None
    scene boyroom_night
    show shadow at pos_l
    show shadow2 at pos_r
    with dissolve 

    "That was a blow... I can't... breathe..."
    "No... this can't be... it's a dream..."

    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)
    with None
    scene black with fade
    $ ending = 1
    jump closing

#   -------------------------------------------------------------- Fight alone -----
    
label s00505:
    
    "That makes sense. The {i}Shadows{/i} will have been instructed to find and destroy the only {i}Guardian{/i} they encountered."
    "And, like it or not, I am the one currently playing the role of {i}Guardian.{/i}"
    "I don't know if they'd find me as long as I don't transform... but hiding is not a solution."
    "They would get me anyway sooner or later. Exactly like that one day in the park."

#   ------------------------------------------------------------ Seek Guardian ----- 
    
label s00510:
    $ music_set("slow")    
    "Well, since my mind is made up I might just as well go now. There is no time to lose."

    with None
    scene rushing_night
    with dissolve
    
    "Let's try to be quick."

#   --------------------------------------------------------------------- AINA ----- 
    if guardian == "Aina":

        a "Hey, hold it right there!"
        p "!"

        with None
        scene park01_night
        show aina quiet
        with dissolve
        
        p "Whoa! What are you doing here?"
        a "Well, Same question to you."
        p "Enjoying the sunshine...?"
        a "That's not funny."
        p "Sorry. Just a bit surprised... I don't think it's a coincidence bumping into you here, right?"
        a "No, I was trying to meet you at home."
        p "In the middle of the night? Why didn't you call first?"
        show aina
        a "Well, I {i}was{/i} planning to call while being on the way. But it seems my battery's dead."
        p "Right, so what's the matter?"
        a "I woke up from the worst nightmare ever, and after I woke up I realized I'm not feeling any better."
        a "You know, after the... discussion we had yesterday, I wasn't really sure at first. What to think of it and all."
        a "And now it just feels as if I'd known all along what's happening... but never realized I did."
        p "..."
        a "Are you still following me?"
        p "Actually... I don't think so."
        a "Okay, the simple version: I had the feeling something's wrong and that I had to come here."
        p "Just like that? That's weird."
        a "Now look who's talking here!"
        "She's got a point. But how is it possible that she realized what's going on?"
        "She had the earring in her hands yesterday. Could it be...?"
        a "Anyway, what do we do now?"
        p "The only thing I know is that {i}Shadows{/i} are gathering. And we may be running out of time."
        a "So what's the plan?"
        p "Move while they are still getting organized and hope they don't expect us this soon."
        a "Move where? Not to fight them, I hope?"
        p "No. I have half an idea, come on."
        a "Where to?"
        p "The school grounds. That's where they are gathering."
        a "Oh. Okay. Where's that Magical Girl?"
        p "She... don't worry, I'm sure she'll join us soon. Let's go!"

        with None
        scene rushing_night
        with dissolve

        "Only some of the {i}Shadows{/i} are starting to spread out. Odd."
        "What sense does it make for them to be be present in such numbers without doing anything?"
        p "Aina..."
        a "Yes?"
        p "If I told you there's a wagonload of {i}Shadows{/i} out there, most of them staying put on the school grounds, what would you guess they're doing?"
        p "Only few are starting to spread out. Does it make sense to you?"
        a "..."
        a "I think I won't even be asking how you found that out."
        p "Well?"
        a "I don't know anything about those {i}Shadows.{/i}"
        "That makes two of us, then."
        a "But thinking of it, they wouldn't do so without a reason, right?"
        p "Don't know. Is there any reason behind what they're doing?"
        a "And you're asking me?"
        p "Yes, because I have no clue myself."
        a "Well, military strategy is not my strong point."
        p "Anyway, that's already a good thought! A strategy... could it be?"
        a "What?"
        p "Why would so many of them be in one place? Unless they had their headquarters there, which I doubt."
        a "In the school? No way... I mean, yes, some of the teachers {i}are{/i} quite creepy, but..."
        p "Could they be guarding something?"

        with None
        scene park02_night
        with dissolve

        p "Yes!"
        show aina at pos_r
        a "Why did you stop all of a sudden?"
        p "Stupid me, why didn't I see...! And me who was worried I wouldn't know how to find it..."
        a "Find what?"
        p "Okay: What is the greatest threat the {i}Shadows{/i} could face?"
        a "You tell me."
        p "Well, in those numbers, the {i}Shadows{/i} have nothing to fear. Not from anyone."
        a "True, that girlfriend... friend of yours was having trouble already with two of them."
        p "Exactly. Now, her main job is to call for help. Find people... or things... that know how to fight against the {i}Shadows.{/i}"
        p "But where to get this help from we don't know. We're supposed to find a sort of path..."
        
        with None
        scene sepia
        with dissolve

        with None
        scene clouds_tilted
        show fairy close
        show sepia
        with dissolve
    
        w "Gaps between the worlds, very similar to this one."

        with None
        scene sepia
        with dissolve

        with None
        scene park02_night
        show aina at pos_r
        with dissolve
        
        p "... some kind of {i}gate{/i} to a place between the worlds."
        a "I'm not sure I'm getting it. You think the {i}Shadows{/i} are guarding some kind of door to... somewhere?"
        p "Well, that's my assumption."
        a "Okay, that one's as good as any under these circumstances. But what do we do? Just charge in there?"
        p "No, they'd be all over us in a minute. I'm afraid they could feel our presence if we get too close."
        a "Then we need a diversion. Who could check if that... gateway is really there?"
        p "The {i}Guardian.{/i}"
        a "Who?"
        p "Ah, sorry. That girl you met."
        a "I see. But where is she?"
        p "Well..."
        a "What about if we make a diversion and she tries to sneak in?"
        p "Yes, that sounds... uh... But this leads us to the main problem."
        a "Such as?"
        p "..."
        p "There is nobody available except us."
        a "What do you mean by that?"
        p "It's just us. There is no... girl."
        a "I don't get it. Who was she then?"
        p "She was... not what she seemed."
        a "Oh, come on! Don't tell me..."
        p "Well, I didn't ask for it!"
        a "You can't be serious!"

        with None        
        show earring
        with dissolve

        p "Okay, then check this out..."
        
        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

        with None
        scene park02_night
        show aina quiet at pos_r
        show earring 
        show magicbox
        with dissolve

        a "..."
        
        with None
        scene park02_night
        show aina quiet at pos_r
        show magicbox
        with dissolve

        $ music_set("scary")
    
        a "No way..."
        p "Believe me now?"
        a "I think it's about time I woke up from this silly dream."
        p "It's not-"
        
        $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

        with None
        scene dreamscape_1
        with dissolve
        
        $ renpy.pause(delay=0.3)
    
        with None
        scene park02_night
        show aina quiet at pos_r
        show magicbox
        with dissolve
        
        p "I think we are in trouble now. The {i}Shadows{/i} noticed me."
        a "How did you do this... transformation?"
        p "It's the earring. The {i}Catalyst{/i}. The idea was to give it to you. That's why I wanted to meet during the weekend. To hand it over to you, if you... if you would have accepted."
        a "That's a lot to digest for one weekend. And it's still only Saturday morning."
        "We can't waste time now. We must decide what to do."
        "The {i}Catalyst{/i} will find the way to the gateway. If there is any."
        a "You said the {i}Shadows{/i} just noticed you? Because you transformed?"
        p "Yes, I think so."
        a "Then let's use that as a diversion."
        p "You mean that I would... and you should...?"
        a "Yes. Or then the other way around."
        p "Don't you think it's a bit too sudden to...?"
        a "We can take it easy during our cinema evening on Sunday. This situation now calls for action."
        p "Okay, but if I try to make a diversion, you'd have to go into the lion's den. And you don't know what to look for."
        a "True. Do you know what to look for, then?"
        p "No, actually..."

        with None
        scene park02_night
        show aina at pos_r
        show magicbox
        with dissolve
        
        p "Okay, we both don't know what to search for. The {i}Catalyst{/i} is supposed to be able to guide us. Wherever it is we're supposed to go."
        p "I just realized we have a problem. Whoever plays the bait will need the {i}Catalyst{/i}. That's what the {i}Shadows{/i} will go after."
        p "But the one searching for the gate will need the {i}Catalyst{/i} too."
        a "Good point, but maybe the {i}Shadows{/i} are not after that earring. Maybe they're just after the {i}Guardian.{/i}"
        p "What difference does that make in practice?"
        a "Well, let's see if that thing of yours can transform more than one person at the same time. May I try?"
        "The {i}Catalyst{/i} sure enough made us both aware of what's happening at the same time. What if it really worked?"
        p "But we cannot risk giving away our tactics. I'm sure they'd notice it if we suddenly had two {i}Guardians.{/i}"
        p "Whoever of us sneaks onto the school grounds should transform only at the latest possible moment."
        p "Which reminds me... what if we have to get into the school building? It's going to be locked, right?"
        a "Is that a problem for a {i}Guardian{/i}?"
        p "Don't know. I've never tried if the magic can open doors. Maybe there's some {i}Key-Shaped Bursts of Gold{/i} available?"
        a "Some what?"
        p "Nothing, nothing, forget it. Let's not waste more time here, the {i}Shadows{/i} are getting too close for comfort."
        a "We'll have to take the chance then. Who will do the diversion?"
        "I'm sure she wanted to ask 'Who is going in?'"

#   --------------------------------------------------------------------- LARA ----- 
    else:
        l "Hey, %(player_name)s!"
        p "!"

        with None
        scene park01_night
        show lara quiet
        with dissolve
        
        p "Whoa! What are you doing here?"
        l "Well, same question to you."
        p "Enjoying the sunshine...?"
        l "Very funny."
        p "Sorry. Just a bit surprised... I don't think it's a coincidence bumping into you here, right?"
        l "No, I was trying to meet you at home."
        p "In the middle of the night? Why didn't you call first?"
        show lara
        l "I... didn't really think of that. The only thing I knew was that I have to find you quickly."
        p "Right, so what's the matter?"
        l "That's a difficult question. I woke up and just had the feeling I have to do something."
        l "You know, at first, after our discussion yesterday I didn't know what to make of it all."
        l "And now it feels as if I should have known all along what is happening... but I don't."
        p "If you don't mind me saying so... that sounds weird."
        "Then again, look who's talking here."
        "But how is it possible that she, too, realized what's going on?"
        "She had the earring in her hands yesterday. Could it be...?"
        l "Anyway, what do we do now?"
        p "The only thing I know is that {i}Shadows{/i} are gathering. And we may be running out of time."
        l "Do you have a plan?"
        p "Move while they are still getting organized and hope they don't expect us this soon."
        l "Move where? Not to fight them, I hope?"
        p "No. I have half an idea, come on."
        l "Where to?"
        p "The school grounds. That's where they are gathering."
        l "Oh. Okay. Where's that Magical Girl?"
        p "She... don't worry, I'm sure she'll join us soon. Let's go!"

        with None
        scene rushing_night
        with dissolve

        "Only some of the {i}Shadows{/i} are starting to spread out. Odd."
        "What sense does it make for them to be be present in such numbers without doing anything?"
        p "Lara..."
        l "Yes?"
        p "If I told you there's a wagonload of {i}Shadows{/i} out there, most of them staying put on the school grounds, what would you guess they're doing?"
        p "Only few are starting to spread out. Does it make sense to you?"
        l "..."
        l "I don't know anything about these things."
        p "But do you have any idea?"
        l "No, those {i}Shadows{/i} are like a mystery to me."
        "That makes two of us, then."
        l "But you have a theory, am I right?"
        p "Don't know. Is there any reason behind what they're doing?"
        l "Are you asking me?"
        p "Yes, because I have no clue myself."
        l "Somehow, asking me seems like the wrong strategy."
        p "Well, that's a good keyword! A strategy... could it be?"
        l "What?"
        p "Why would so many of them be in one place? Unless they had their headquarters there, which I doubt."
        l "In the school? Really? Actually, thinking of it... it did feel quite creepy there somtimes."
        p "No, I'd have noticed that. Could they just be guarding something?"

        with None
        scene park02_night
        with dissolve

        p "Yes!"
        show lara at pos_r
        l "Why are you stopping?"
        p "Stupid me, why didn't I see...! And me who was worried I wouldn't know how to find it..."
        l "Find what?"
        p "Okay: What is the greatest threat the {i}Shadows{/i} could face?"
        l "Why do you keep on asking me these things?"
        p "Well, in those numbers, the {i}Shadows{/i} have nothing to fear from anyone."
        l "And why do you keep on answering your own questions? Do you need me here at all?"
        p "..."
        
        show lara smiling at pos_r
        l "Sorry!"
        show lara at pos_r        
        
        l "It's true that your girlfriend... that friend of yours was already having trouble with just one {i}Shadow{/i}."
        "Well, it was my first appearance, after all..."
        p "Exactly. Now, her main job is to call for help. Find people... or things... that know how to fight against the {i}Shadows.{/i}"
        p "But where to get this help from we don't know. We're supposed to find a sort of path..."
        
        with None
        scene sepia
        with dissolve

        with None
        scene clouds_tilted
        show fairy close
        show sepia
        with dissolve
    
        w "Gaps between the worlds, very similar to this one."

        with None
        scene sepia
        with dissolve

        with None
        scene park02_night
        show lara at pos_r
        with dissolve
        
        p "... some kind of {i}gate{/i} to a place between the worlds."
        l "I'm not sure I understand. The {i}Shadows{/i} are guarding some kind of door to... somewhere?"
        p "Well, that's my assumption."
        l "If that's good enough for you, I'm fine with that. But what do we do? Go to the school and check? Just like that?"
        p "No, they'd be all over us in a minute. I'm afraid they could feel our presence if we get too close."
        p "We need a diversion. So that we can check if that... gate is really there."
        p "The {i}Guardian{/i} would be a good diversion!"
        l "Who?"
        p "Ah, sorry. That girl you met."
        l "So where is she?"
        p "Well..."
        l "What about if she made a diversion and you tried to sneak in?"
        p "Yes, that sounds... uh... But this leads us to the main problem."
        l "Such as?"
        p "..."
        p "There is nobody available except us."
        l "What do you mean by that?"
        p "It's just us. There is no... girl."
        l "Again, I'm not sure I'm following you. Who was she, then?"
        p "She was... not what she seemed."
        l "Can you speak it out, please?"
        p "Well, it's hard to explain..."

        with None        
        show earring
        with dissolve

        p "Wait, I'll show you."

        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

        with None
        scene park02_night
        show lara quiet at pos_r
        show earring 
        show magicbox
        with dissolve

        l "..."

        with None        
        scene park02_night
        show lara quiet at pos_r
        show magicbox
        with dissolve

        $ music_set("scary")
    
        l "I don't believe this..."
        p "You don't?"
        l "I wish I had a choice."
        p "It's not-"
        
        $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)

        with None
        scene dreamscape_1
        with dissolve
        
        $ renpy.pause(delay=0.3)

        with None    
        scene park02_night
        show lara quiet at pos_r
        show magicbox
        with dissolve
        
        p "I think we are in trouble now. The {i}Shadows{/i} noticed me."
        l "How did you do this... transformation?"
        p "It's the earring. The {i}Catalyst{/i}. The idea was to give it to you. That's why I wanted to meet during the weekend. To hand it over to you, if you... if you would have accepted."
        l "Do you realize you're asking a lot? Especially for an early Saturday morning."
        "We can't waste time now. We must decide what to do."
        "The {i}Catalyst{/i} will find the way to the gateway. If there is any."
        l "And the {i}Shadows{/i} just noticed you? Because you transformed?"
        p "Yes, I think so."
        l "Then we can use that as a diversion? You could lead the {i}Shadows{/i} away?"
        p "Yes, I guess. Or you could take that part over."
        l "Me? Isn't that a bit too sudden?"
        p "Maybe. But we have to do somethig before it's too late."
        l "And do we know what that gate we are searching for looks like?"
        p "No, actually."

        with None
        scene park02_night
        show lara at pos_r
        show magicbox
        
        p "Okay, we don't know what to search for. The {i}Catalyst{/i} is supposed to be able to guide us. Wherever it is we're supposed to go."
        p "I just realized we have a problem. Whoever plays the bait will need the {i}Catalyst{/i}. That's what the {i}Shadows{/i} will go after."
        p "But the one searching for the gate will need the {i}Catalyst{/i} too."
        l "Can that earring transform more than one person at the same time? Shall I try?"
        "The {i}Catalyst{/i} sure enough made us both aware of what's happening at the same time. What if it really worked?"
        p "But we cannot risk giving away our tactics. I'm sure they'd notice it if we suddenly had two {i}Guardians.{/i}"
        p "Whoever of us sneaks onto the school grounds should transform only at the latest possible moment."
        l "What if we have to get into the school building? It's going to be locked."
        p "I don't know if that is a problem for a {i}Guardian{/i}. I've never tried if the magic can open doors. Maybe there's some {i}Key-Shaped Bursts of Gold{/i} available?"
        l "Some what?"
        p "Nothing, forget it. Let's not waste more time here, the {i}Shadows{/i} are getting too close for comfort."
        l "Okay, okay. So what do you propose?"

#   -------------------------------------------------------------------------------- 

label s00520:
    
    $ music_set("bridge")
        
    menu:
        "Who should sneak onto the school grounds?"

        "%(guardian)s. I'll lead the {i}Shadows{/i} away from her.":
            $ player_attacks = False
        "I should. It will be less dangerous for %(guardian)s.":
            $ player_attacks = True  

    p "Okay, here is what we will do..."
    with None
    scene yard_night
    with fade
    
    "The situation was tricky, but I have the feeling we managed quite well."
    
#   ------------------------------------------------------------- Girl attacks -----
    if player_attacks == False:

        "I had handed the {i}Catalyst{/i} to %(guardian)s and taken off. It seemed that I could still keep my transformation up despite not having the earring anymore."
        "It worked almost too well. Nearly all {i}Shadows{/i} picked up my trail and started following me as I led them farther and farther away from the school grounds and from %(guardian)s."
        "Luckily, they moved very slowly."
        "After a while, I could feel the magic fading, and transformed back. Either because the {i}Catalyst{/i} was missing, or because I was running out of energy. After all, I'd never been transformed for that long."
        "But by then the {i}Shadows{/i} were hopefully far enough away to give %(guardian)s the time she needs."
        "Since my job was done, I decided to rejoin her and see if I could be of any help."
#   ----------------------------------------------------------- Player attacks -----
    else:
        "First I had undone my transformation, then handed the {i}Catalyst{/i} to %(guardian)s."
        "It took quite a few attempts, but in the end she managed. She transformed."
        "So at last I was able to see the girl I'd been impersonating for so long. It was quite a breathtaking view."
        "The transformation, I mean. Not the girl." 
        "%(guardian)s did not lose any time. She handed me the {i}Catalyst{/i} and ran off. At least for the time being she seemed to be able to keep her transformation up, despite not having the earring anymore."
        "It worked almost too well. I could feel nearly all {i}Shadows{/i} picking up her trail and following her as she led them farther and farther away. Luckily, they moved slowly."
        "After a while, I could feel the magic fading. %(guardian)s had transformed back. Either because she was missing the {i}Catalyst{/i}, or because it had gotten too tiring. After all, she'd never transformed before."
        "I will have to move as close as I can get, without transforming."
        "Because as soon as I transform, the {i}Shadows{/i} will head back this way. And the few ones still in the area will be a major problem, too."
#   -------------------------------------------------------------------------------- 
    $ music_set("scary")
    
    "Without transforming, I cannot locate the gate. But by rule of logic, the remaining {i}Shadows{/i} will be close, guarding it."
    "So let's try to find the {i}Shadows{/i}. The closer to them I am, the closer I will be to the gate."
    "But I have the feeling it's inside the building. How can I get in...?"
    "Wait...!"
    
    with None
    scene sepia
    with dissolve

    with None
    scene classroom
    show matt
    show iyona at pos_l
    show sepia
    with dissolve
    i "Then keep that window closed. I've told you the teachers are not happy when someone forgets it open overnight." 

    with None
    scene sepia
    with dissolve
    
    with None
    scene yard_night
    with dissolve
    
    "It won't hurt to try. With a bit of luck..."
    "Yes!"
    
    with None
    scene classroom_night
    with dissolve
    "And now to the corridor... but the {i}Shadows{/i} are quite close already."
    "But exactly how close is hard to know. And how much closer I can move before they notice me?"
    "I'd like to know where %(guardian)s is now."

#   ------------------------------------------------------------- Girl attacks -----
    if player_attacks == False:
        "I do feel the pull of the {i}Catalyst{/i}. %(guardian)s has managed to transform. She did it!"
        "That had been my biggest worry. What if she hadn't managed?"
        "But this means the {i}Shadows{/i} will now head back this way. And the few ones still in the area will be a major problem."
#   -------------------------------------------------------------------------------- 

    with None
    scene corridor_2_night
    with dissolve 

    "The {i}Shadows{/i} are close... very close now."

    with None
    show shadow at pos_l
    show shadow2 at pos_r
    with dissolve 

    "Blast, there they are!"

#   ------------------------------------------------------------- Girl attacks -----
    if player_attacks == False:
        
        with None
        hide shadow 
        with dissolve 
    
        "Now where does he think he's going?"
        "I know I'm not really a worthy opponent without the {i}Catalyst{/i}, but this is humiliating."
        p "Scared of me, eh? Well, I can't blame you!"
        "..."
        "Of course, it's because of %(guardian)s! They know she's here, and they're after her. Nobody of them is going to waste their time on me."
        "But now I can't get past him-"
        
#   ----------------------------------------------------------- Player attacks -----
    else:
        p "Transformation!"

        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

        with None
        scene corridor_2_night
        show shadow at pos_l
        show shadow2 at pos_r
        show magicbox
        with dissolve 

        "%(guardian)s, thanks for helping so far. From here on it's my job, and I'll try to be quick enough to make it before more {i}Shadows{/i} show up."
        p "Out of my way now, I don't have any time to waste with you two!"
        
        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)

        with None
        scene heart
        with dissolve

        $ renpy.pause(delay=0.3)

        with None
        scene corridor_2_night
        show shadow2 at pos_r
        show magicbox
        with dissolve 
        
        p "One down! And now-"
        
        $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)    

        with None
        scene dreamscape_1
        show shadow2 at pos_r
        show magicbox
        with dissolve 
        
        $ renpy.pause(delay=0.3)

        with None        
        scene corridor_2_night
        show shadow2 at pos_r
        show magicbox
        with dissolve 
        
        p "That felt like a punch... how did he do that-"

        with None
        scene corridor_2_night
        show shadow2 at pos_r
        with dissolve  
        
        p "Hey! {i}Catalyst{/i}! Don't stop working! Transform me back! Don't tell me your batteries ran out just now!"
        "Or is it rather my batteries? I'm... too weak."
#   -------------------------------------------------------------------------------- 

label s00525:
    
    $ renpy.sound.play('sounds/ominous.ogg', channel=2, fadeout=0)    
    
    with None
    scene dreamscape_1
    show shadow2 at pos_r
    with dissolve 
    
    $ renpy.pause(delay=0.3)
    
    with None
    scene corridor_2_night
    show shadow2 at pos_r
    with dissolve 

    "That was... quite a blow."

    with None
    scene black
    with fade

    "Everything... everything is getting dark around me..."
    "Why did this have to happen? We were so close. I can't get up."
    "I can't move. Can't... think..."

#   ----------------------------------------------------------- Player attacks -----
    if player_attacks == True:
        "Somebody is taking the {i}Catalyst{/i} from my hands."
        p "No... give it back... please..."
        "I failed. And I failed everybody. What will be now?"
#   --------------------------------------------------------------------------------         



#   --------------------------------------------------------------------- Aina ----- 
    if guardian == "Aina":
        
        mg "{i}Heart-Shaped Bursts of Gold!{/i}"
        
        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)
        with None
        scene heart
        with dissolve
        $ renpy.pause(delay=0.3)
        with None
        scene black
        with dissolve   
        
        p "%(guardian)s...? Is that you?"
        mg "%(player_name)s? Are you okay? What are you doing there? Get up!"
        p "I'm... too weak. Can't..."
        mg "Okay. Stay put. There's more {i}Shadows{/i} coming, and we don't have any time to lose."
        p "{i}Shadows{/i} are coming...? Get me... out of here..."
        mg "Don't be a sissy, I'll be back in no time. I know what to do now."
        p "What do you mean? How can you... know what to do?"        
        mg "There's no time to explain. The gate is here. I can feel it."
        p "You...? I couldn't... and I've been around the school for ages... are you sure it's there?"        
        mg "See you in a bit! Don't worry!"
        "Don't worry? She's got nerves..."
        p "...%(guardian)s? Are... you there?"
        "I guess not... so tired... so..."
    
        with None
        scene white
        with dissolve
    
        with None
        scene black
        with dissolve
    
        $ music_set("waiting")
        "Voice" '"%(player_name)s."'
        "Voice" '"%(player_name)s, come on, wake up already!"'
        $ music_set("slow")
        p "Go, go away, just let me die..."        
        
        "Voice" '"Well, sorry, but it\'s a bit too late for that. The {i}Shadows{/i} are gone. You want to die, you\'re going to have to do it yourself."'
        p "Gone???"
    
        with None
        scene aina_close
        with dissolve

        a "Feeling a bit better?"
        p "I... how long have I been laying here?"
        a "Probably an hour or so."
        p "And I missed the showdown, it seems?"
        a "In a way."
        p "What a pity. Ouch, my bones are all over the place... I'm sure I've felt better sometimes."
        a "Oh, knock it off. You were resting while I did the dirty work. Let's go already!"
        p "Okay, okay..."

        $ music_set("happy")
        with None        
        scene corridor_2_night
        show aina
        with dissolve         

        p "What happened? How did you find the gate?" 
        a "It was right there, down the corridor. It's always been there, as far as I can tell."
        p "But I- I would have-"
        show aina smiling
        a "Face it, %(player_name)s - sometimes you just need a girl to take care of things."
        show aina
        a "Come on, let's leave."
        hide aina
        p "..."

        with None
        scene classroom_night
        with dissolve

        $ music_set("bridge")
        
        p "Okay, I give up. You win. What did you find behind the gate?"
        show aina
        a "There wasn't anything much to see. Dark and misty. Weird landscape. It took only seconds and I was surrounded by a bunch of severe-looking women."
        show aina smiling
        a "Worse than being alone in the teachers' room."
        p "And they-"
        
        show aina         
        a "Yes, when they heard what's going on they just spread out. Next thing I know I'm back here, and there's no trace of any {i}Shadows.{/i}" 
        p "Did these women tell you what to do? Is there anything left undone?"
        a "Not that I know. The earring feels harmless now. I think its powers are gone."
        p "What a pity."
        a "Why?"
        p "With it you could have transformed into a cute girl whenever you wanted."
        hide aina
        with hpunch
        p "Ouch! Hey, that was a joke, don't-"
        with hpunch

        $ music_set("waiting")
        
        with None
        scene yard_night
        with dissolve
        
        a "Don't run away from me! Come back here!"
        p "Hey, come on, what happened to your humour?"

        with None        
        scene rushing_night
        with dissolve

        a "I'll show you my humour as soon as I catch you!"
        p "I want the {i}Shadows{/i} back! Help!"

        with None        
        scene black
        with fade 

#   --------------------------------------------------------------------- Lara -----
    else:
        
        mg "{i}Golden Hearts!{/i}"
        mg "No, that's not it... {i}Wings of Love!{/i}"
        p "..."
        mg "Okay, three time's the charm."
        mg "{i}Heart-Bursts! Shaped Gold!{/i} Uh..."
        p "%(guardian)s...?"        
        p "My goodness... also, don't forget to try the {i}Fields of Gold{/i}..."


        mg "%(player_name)s? Are you okay? What shall I do?"
        p "Heavens, use... {i}Heart-Shaped Bursts of Gold!{/i}"
        mg "Oh...! Really?"
        mg "Like... Heart-Shaped Bursts of Gold...?"
        
        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)
        with None
        scene heart
        with dissolve
        with vpunch
        with hpunch

        with None
        scene black
        with dissolve   
        
        mg "Ups. That one went the wrong way. Sorry!"
        "Argh... why can't I just die in peace?"
        mg "Okay, one more! {i}Heart-Shaped Bursts of Gold!{/i}"

        $ renpy.sound.play('sounds/transfrm.ogg', channel=2, fadeout=0)
        with None
        scene heart
        with dissolve

        $ renpy.pause(delay=0.3)
        with None
        scene black
        with dissolve   

        mg "%(player_name)s, we did it! Are you okay? Can you get up?"
        p "I'm... too weak. Can't..."
        mg "What shall I do? More {i}Shadows{/i} are coming all the time!"
        mg "You can't stay here, it's too dangerous! Get up!"
        p "No, listen... we don't have... any time. Search for the gate."
        mg "Like, here? Where?"
        p "I don't know... search for it! It can't be far..."
        mg "I'm not sure if-"
        p "%(guardian)s, {i}do it now!{/i}"
        "I'm... so tired... so..."
    
        with None
        scene white
        with dissolve
    
        with None
        scene black
        with dissolve
    
        $ music_set("waiting")
        "Voice" '"%(player_name)s."'
        "Voice" '"%(player_name)s, come on, wake up already!"'
        $ music_set("slow")
        p "Go, go away, just let me die..."        

        
        "Voice" '"Actually, I really hope that won\'t be necessary. The {i}Shadows{/i} are gone. If you really want to die, you will have to start searching for them first."'
        p "What? Gone?"
        
        with None
        scene lara_close
        with dissolve

        l "Good to have you back. How are you feeling?"
        p "I... not sure. How long have I been laying here?"
        l "Probably an hour or so."
        p "And I missed the showdown, it seems?"
        l "Yes. I would have liked to have you there. It was a close call."
        p "I'm sorry. And sorry for yelling at you... Ouch, my bones are all over the place... I'm sure I've felt better sometimes."
        l "Well, at least you had some rest. Do you think you can get up?"
        p "Yes, I guess so."

        $ music_set("happy")
        with None        
        scene corridor_2_night
        show lara
        with dissolve         

        p "So what happened? Did you find the gate?" 
        l "Yes, I found it right down this corridor. It seemed to me as if it had always been there."
        p "Really? But shouldn't I have noticed it then? After all, I've been at this school for a week already."
        show lara smiling
        l "Maybe sometimes it just needs a girl to see things."
        show lara
        l "Or rather, a girl with a {i}Catalyst{/i}. Shall we leave?"
        hide lara
        p "..."

        with None
        scene classroom_night
        with dissolve
        
        $ music_set("bridge")        

        p "If I may ask... what did you find behind the gate?"
        show lara
        l "Whatever it was, it was scary. Nothing but fog, and some weird shapes floating about."
        l "I moved around, trying to find somebody. It took me a while to realize I was being followed by some strange women."
        show lara smiling
        l "But they turned out to be on out side."
        p "What did they do?"
        show lara         
        l "I told them what we know. What you told me. As quickly as I could."
        l "They disappeared and left me behind, all alone in that weird nowhere, and I had to find the way out myself. And by the time I got back, the {i}Shadows{/i} had disappeared." 
        p "Did these women tell you if we still need to do something? Is there anything left undone?"
        l "They barely paid me any attention. So I don't know."
        l "The earring feels normal now. I think its powers may be gone."
        p "That's a pity."
        l "Why?"
        p "Because I have the feeling I'll be missing my {i}girlfriend{/i}."
        show lara smiling
        l "I hope you'll find a suitable replacement for her soon."
        show lara
        p "Er... right. Well. Er... shall we get out of here?"
        l "Sure!"

        with None
        scene yard_night
        with dissolve
        
        l "What will we do now?"
        p "If you have nothing against it, I'd propose we go to bed."
        
        show lara quiet 
        l "{i}What???{/i}"
        
        p "You know, I meant... go to sleep. Everybody to their own beds. We do have some catching up to do."
        show lara winking
        l "I know what you meant. Just wanted to see your reaction."
        show lara 
        p "..."
        p "Sorry if I'm out of humour. I'll be fine again on Sunday."

        $ music_set("waiting")
        
        l "That's okay. I'll be glad to see you in a more relaxed mood."
        p "Right."
        l "Will you walk me home?"
        "Well, what can I reply to that?"
        "It's half an hour's walk from here to her place... and then I still have to get back to mine."
        "With {i}Shadows{/i} or without, it seems I'll never be able to catch any sleep."
        p "Sure. No sweat."
        show lara smiling        
        
        l "Thanks!"
        
        with None
        scene black
        with fade 

#   -------------------------------------------------------------------------------- 

    jump s00600


# =============================================================================
#                  7 - S u n d a y   ( E p i l o g u e )
# =============================================================================

label s00600:
    
    $ save_name = "Sunday"
    $ music_set("chapter")
    with None
    scene black 
    centered "Sunday: All Is Well That Ends\n\n\n"
    
    
#   --------------------------------------------------------------------------------

    $ music_set("intro slow")
    with None
    scene boyroom
    with fade

    "What a week this was."
    "You would think that after saving the world, the heroes would have deserved a restful Saturday."
    "But we weren't lucky. Saturday was a complete desaster."
    "%(guardian)s had just sneaked back home and gotten back into bed to catch up on the lost sleep when her parents came to wake her up." 
    "Since she had told them, as agreed, that we'd be studying on Saturday."
    "At eight-thirty, she rang our doorbell."
    "My parents were not amused that they had to get out of bed to let %(guardian)s in while I was merrily sleeping."
    "And so %(guardian)s and I spent most of Saturday studying."
    "We'd have fallen asleep on our books if it hadn't been for my mother constantly popping in to check on us."
    "But luckily our parents hadn't noticed anything. It would have been quite hard to explain what we had been doing outside at night."
    "So, in a way, it was funny. After all, we were sharing a secret."

    "Today I could at last have slept a bit longer, but unfortunately I had forgotten to switch off my phone. Matt called me at nine. Something about Iyona again."
    "Don't remember much about that call, I was still half asleep."
    "%(guardian)s called me at ten. Well, at least that was a pleasant talk."
    "In the end I gave up trying to sleep and made myself breakfast."
    "Oh, it's five soon... gotta go."
    
    with None
    scene park01_day
    with dissolve

    "After all, I'm curious to see what movie Matt is proposing."
    "And if he managed to give that spare ticket to Iyona..."

    with None
    scene park02_day
    with dissolve

    "There we are... hm, still a bit early. Well, they'll be here soon."
    "..."
    "Looking back at the past events I'm catching myself thinking that it was no effort at all to sort things out."
    "It's odd how impressions can change that quickly. During the week I was dead worried."
    "Actually, we were lucky that we survived. But, thankfully, this is all over now."
    "And I'm still hurting all over the place. Probably %(guardian)s is not in a much better shape, either."

    with None
    scene black
    
    $ music_set("happy")
    "Voice" '"Guess who?"'
    p "Easy. Hello there, Magical Girl!"
    
#   --------------------------------------------------------------------- Aina ----- 
    if guardian == "Aina":

        with None
        scene park02_day
        show aina
        with dissolve
        
        a "Look who's talking. You're the one who was so crazy about cross-dressing."
        p "Absolutely. But don't spread the word, okay?"
        show aina smiling
    
        show lara at pos_r
        l "Spread the word about what?"
        show aina     
        a "Nothing important."
        p "Yes, nothing important."
        
        show lara smiling at pos_r    
        l "Are some people sharing tender secrets here?"
        p "No, that's not it!"
        show lara at pos_r    
        
        show matt at pos_l
        m "Tender secrets? Disgusting stuff? Where?"
        "Argh, and now how do we change the topic quickly...?"
        
        p "Hey Matt, isn't that Iyona over there?"
        m "So what? Let her be."
        
        show aina smiling
        show lara smiling at pos_r    
        show matt embarrassed at pos_l
        "Aina and Lara" '"Wise choice!"'

        show aina 
        show lara at pos_r       
#   --------------------------------------------------------------------- Lara -----
    else:

        with None
        scene park02_day
        show lara
        with dissolve
        
        l "Actually, I should point out you have been playing that role much more than I have."
        p "You're right, you're right. But please don't spread the word."
        show lara smiling
    
        show aina at pos_r
        a "Spread the word about what?"
        show lara     
        l "Nothing important."
        p "Yes, nothing important."
        
        show aina smiling at pos_r    
        a "Ah, the lovebirds sharing a secret, eh?"
        p "No, that's not it!"
        show aina at pos_r    
        
        show matt at pos_l
        m "Lovebirds? Where?"
        "Argh, and now how do we change the topic quickly...?"
        
        p "Hey Matt, isn't that Iyona over there?"
        m "So what? Let her be."
        
        show lara smiling
        show aina smiling at pos_r    
        show matt embarrassed at pos_l
        "Aina and Lara" '"Wise choice!"'

        show lara 
        show aina at pos_r     
#   --------------------------------------------------------------------------------    

    p "Back to the topic, please. What movie will we be watching?"
    show matt at pos_l      
    m "What was it again you proposed, Aina? 'Muscular heroes rescue the world from alien invaders?'"
    a "Something like that, yes."
    m "Well, that's pretty much it."
    l "At last some no-brain activity!"
    m "How odd of you to say that..."

    with None
    scene park01_day
    with dissolve
    
    m "Anyway, here's the tickets... choose your places...."
    l "Me first!"
    a "Hey, what an enthusiasm!"
    m "Okay, okay, best seat for Lara then... stop pushing me, I surrender!"
    a "I thought I'm the riot here! How dare you take my place!"
    
    "While we're walking towards the Movie multiplex, laughing and pushing, and Matt is arguing with the girls about whether to share a maxi popcorn portion or to go for ice cream, I realize that this week brought a lot of changes."
    "Despite all these scary events and moments of hopelessness, in the end everything worked out. And many good things happened."
    "On Monday, I was still wondering when I'd be walking through the park with friends of mine."
    "Well, I made friends. Very nice ones."
    "Maybe another good thing is that Matt realized Iyona's not a good match for him."
    "And then there's another thing..."

    $ music_set("bridge")
    
#   --------------------------------------------------------------------- Aina ----- 
    if guardian == "Aina":

        show aina
        a "Are you brooding over something? You look a bit absent."
        "The other good thing."

        p "Just thinking about everything that happened last week."
        "I quickly glance sideways to the others, trying to hint at the fact that we can't talk freely."
        a "Fine, but if you make a face like that, it will make me think you're not happy with the outcome."
        p "No, don't worry, by now I'm seeing everything in a positive light."
        p "And what do you mean, the outcome...?"

        $ music_set("waiting")

        a "I'll let you figure that out by yourself. But don't take too much time!"
        show aina winking
        p "Erm... we're getting left behind, let's catch up with the others!"
        show aina 
        "My heart is beating a tiny little bit too fast."
        show aina smiling
        a "Okay!"
        hide aina
        $ persistent.unlock_gallery = True 
        $ ending = 2
#   --------------------------------------------------------------------- Lara -----
    else:

        show lara
        l "You are so silent, %(player_name)s. Are you still worrying about something?"
        "The other good thing."
        p "No, I was just thinking back... about everything that happened last week. Positive thoughts, mostly."
        "I quickly glance sideways to the others, trying to hint at the fact that we can't talk freely."
        l "Good, I'm relieved. I was afraid you got some bad news or something."
        p "No. No, don't worry."
        l "No more paranormal things?"
        p "Absolutely none. We're now retired {i}Guardians{/i}, as far as I'm concerned."

        show lara smiling
        l "That's good to hear."
        show lara         
        l "Which brings me to the next topic... have you already checked the seat numbers on the tickets?"
        p "No, I didn't even fetch my ticket yet. I'll take what Matt has left."
        l "I have yours here."
        p "What do you mean, mine?"

        $ music_set("waiting")

        show lara winking
        l "Row 10, seats 21 and 22."
        show lara        
        p "..."
        p "Erm... we're getting left behind, should we try to catch up with the others?"
        "My heart is beating a tiny little bit too fast."
        show lara smiling
        l "Okay!"
        hide lara
        $ persistent.unlock_gallery = True 
        $ ending = 3
#   --------------------------------------------------------------------------------

    jump closing    


# =============================================================================
#                  C l o s i n g   t i t l e s
# =============================================================================

label closing:

    $ music_set("closing")
    $ closing_pause = 12
    $ minutes, seconds = divmod(int(renpy.get_game_runtime()), 60)

#   --------------------------------------------------------------------------------
    scene black
    with dissolve

    $ renpy.pause(delay=0.5)
    $ ui.text("~ The End ~", xpos=0.5, xanchor='center', ypos=0.40, yanchor='top', textalign=0.5)

    $ mytext = 'Ending %d of 3' % (ending)
    $ ui.text(mytext, xpos=0.5, xanchor='center', ypos=0.75, yanchor='top', textalign=0.5)

    $ mytext = 'Playing time %d:%02d' % (minutes, seconds)
    $ ui.text(mytext, xpos=0.5, xanchor='center', ypos=0.80, yanchor='top', textalign=0.5)
    $ renpy.pause(closing_pause)

#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay
    with dissolve

    $ ui.text("{i}Story and Character design{/i}", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)
    $ ui.text("Alessio Sapora", xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)
    $ renpy.pause(closing_pause)

#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay

    $ ui.text("{i}Photographic Material{/i}", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)
    $ ui.text("Alessio Sapora",   xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)
    $ ui.text("Sven Rohloff", xpos=0.5, xanchor='center', ypos=0.40, yanchor='top', textalign=0.5)
    $ ui.text("John Cushing",      xpos=0.5, xanchor='center', ypos=0.45, yanchor='top', textalign=0.5)
    $ ui.text("Dimitris Kritsotakis", xpos=0.5, xanchor='center', ypos=0.50, yanchor='top', textalign=0.5)
    $ ui.text("Stefanie Varga",      xpos=0.5, xanchor='center', ypos=0.55, yanchor='top', textalign=0.5)    
    $ ui.text("Ruben van Dijk",   xpos=0.5, xanchor='center', ypos=0.60, yanchor='top', textalign=0.5)
    $ ui.text("Jyn Meyer", xpos=0.5, xanchor='center', ypos=0.65, yanchor='top', textalign=0.5)    
    $ ui.text("Bob Smith",      xpos=0.5, xanchor='center', ypos=0.70, yanchor='top', textalign=0.5)    
    $ renpy.pause(closing_pause)
    
#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay
    
    $ ui.text("{i}Music{/i}", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)
    $ ui.text("Alessio Sapora", xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)

    $ ui.text("{i}Sound Effects{/i}", xpos=0.5, xanchor='center', ypos=0.45, yanchor='top', textalign=0.5)
    $ ui.text("Alessio Sapora", xpos=0.5, xanchor='center', ypos=0.50, yanchor='top', textalign=0.5)
    $ ui.text("Kurijn",     xpos=0.5, xanchor='center', ypos=0.55, yanchor='top', textalign=0.5)
    $ ui.text("Leady",      xpos=0.5, xanchor='center', ypos=0.60, yanchor='top', textalign=0.5)
    $ ui.text("mystiscool", xpos=0.5, xanchor='center', ypos=0.65, yanchor='top', textalign=0.5)
    $ ui.text("nicStage", xpos=0.5, xanchor='center', ypos=0.70, yanchor='top', textalign=0.5)

    $ renpy.pause(closing_pause)

#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay
    
    $ ui.text("{i}Programming{/i}", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)
    $ ui.text("Alessio Sapora", xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)

    $ ui.text("{i}Ren'Py Game Engine{/i}", xpos=0.5, xanchor='center', ypos=0.45, yanchor='top', textalign=0.5)
    $ ui.text("PyTom", xpos=0.5, xanchor='center', ypos=0.50, yanchor='top', textalign=0.5)

    $ ui.text("{i}Beta Testing{/i}", xpos=0.5, xanchor='center', ypos=0.60, yanchor='top', textalign=0.5)
    $ ui.text("PyTom", xpos=0.5, xanchor='center', ypos=0.65, yanchor='top', textalign=0.5)
    $ ui.text("julygirl", xpos=0.5, xanchor='center', ypos=0.70, yanchor='top', textalign=0.5)
    $ renpy.pause(closing_pause)

#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay

    $ ui.text("{i}Special Thanks{/i}", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)

    $ ui.text("julygirl", xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)
    $ ui.text("Leonchik", xpos=0.5, xanchor='center', ypos=0.40, yanchor='top', textalign=0.5)    
    $ ui.text("PyTom", xpos=0.5, xanchor='center', ypos=0.45, yanchor='top', textalign=0.5)
    $ ui.text("The Lemma Soft Forum community", xpos=0.5, xanchor='center', ypos=0.50, yanchor='top', textalign=0.5)
    $ ui.text("The Finnish 'Mikrobitti' Magazine", xpos=0.5, xanchor='center', ypos=0.55, yanchor='top', textalign=0.5)    
    $ ui.text("Josh Ostrander", xpos=0.5, xanchor='center', ypos=0.60, yanchor='top', textalign=0.5)
    $ ui.text("Ray Larabie", xpos=0.5, xanchor='center', ypos=0.65, yanchor='top', textalign=0.5)
    $ renpy.pause(closing_pause)
        
#   --------------------------------------------------------------------------------
    with None
    scene heart
    show black_overlay
    
    $ ui.text("GO! Magical Boy", xpos=0.5, xanchor='center', ypos=0.30, yanchor='top', textalign=0.5)
    $ ui.text("(c) 2005-2008 Alessio Sapora", xpos=0.5, xanchor='center', ypos=0.35, yanchor='top', textalign=0.5)
    $ ui.text("Powered by Ren'Py", xpos=0.5, xanchor='center', ypos=0.45, yanchor='top', textalign=0.5)
    $ ui.text("{a=http://www.renpy.org}www.renpy.org{/a}", xpos=0.5, xanchor='center', ypos=0.50, yanchor='top', textalign=0.5)
    $ ui.text("Closing theme 'Go Boy!'", xpos=0.5, xanchor='center', ypos=0.60, yanchor='top', textalign=0.5)
    $ ui.text("and Soundtrack available at", xpos=0.5, xanchor='center', ypos=0.65, yanchor='top', textalign=0.5)
    $ ui.text("{a=http://www.mikseri.net/magnify}www.mikseri.net/magnify{/a}", xpos=0.5, xanchor='center', ypos=0.70, yanchor='top', textalign=0.5)

    $ renpy.pause(delay=30)
    $ renpy.sound.play('sounds/silence.ogg', channel=7, fadeout=2)    

    with None
    scene black
    with dissolve
    
#   --------------------------------------------------------------------------------
    menu:
        "Would you like to read the author's notes?"

        "Yes":
            with None
            scene boyroom
            show author at pos_r
            show black_overlay
            with fade
            
            "Thank you very much for playing this Visual Novel! I hope playing it has been as interesting for you as it was for me creating it."
            "Big thanks are due to PyTom, the creator of the Ren'Py Visual Novel Interpreter, and to the people at the Lemma Soft forums, without whom this Visual Novel would never have been made."
            "{i}GO! Magical Boy{/i} started out as a technical proof-of-concept project on January 1st, 2005. At that time, my main interest was to find out what the Ren'Py engine can do."
            "During the first half of 2005, most of my time went into the development of the visuals. Many of the pictures I took myself; most school pictures are actually from my own old school."
            "Spring and summer were mainly reserved for the drawings (ink on paper), scanning and post-processing. This actually took much more time than I had anticipated, but I learned a lot about digital image processing."
            "October 2005 witnessed the appearance of soundtrack and closing song. Both were done in a week, which is much less time than I usually allocate to music. The music engine is pretty flexible and allows changes of mood without interrupting the rhythm."
            "Most of the story was being written throughout the whole period, but the biggest part was done this year in order to be able to publish the game for the IntRenAiMo (International Ren'Ai Month) competition."
            "The most interesting aspect was how to fit the story to the specific requirements and restrictions of a Visual Novel, which was a challenge but, hopefully, also a success."
            "During this time, I learned a lot about the process of creating a Visual Novel, and am glad to say no nasty surprises came up at all. PyTom's support was terrific and made this experience a very valuable one."
            "I will most likely continue writing Visual Novels, but will experiment with other genres. So do not expect schoolday stories in the near future, but rest assured I will always sneak in that little bit of romance!"
            "Hopefully I will be able to cooperate with other artists and authors to shorten the development time of the next projects. Although I enjoyed doing every step myself, these were fifteen long months, albeit very rewarding ones."
            "Again, thank you for playing, and do not hesitate to contact me if you have any questions, or if you noticed any errors in this first Visual Novel of mine.\n\n{i}Espoo/Finland, 29 March 2006{/i}"

        "No":
            pass             

#   --------------------------------------------------------------------------------    
    with None
    scene black
    with dissolve

    $ renpy.pause(delay=2)
    $ renpy.full_restart()


#   --------------------------------------------------------------------------------



